#ifndef BatchLab_Filter_h
#define BatchLab_Filter_h

// Inheritance :
#include <BatchLab/Core/Calculator.h>
#include <AIDA/IFilter.h>

namespace BatchLab {

class Filter 
:public Calculator
,public virtual AIDA::IFilter 
{
public: //AIDA/IFilter
  virtual bool initialize(AIDA::ITuple&);
  virtual std::string expression() const;
  virtual bool accept() const;
public:
  Filter(Slash::Core::IWriter&,const std::string&,AIDA::ITree&);
  virtual ~Filter();
private:
  Filter(const Filter&);
  Filter& operator=(const Filter&);
};

}

#endif
