@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package BatchLab with version v1r7p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_BatchLabZebra
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_BatchLab_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_BatchLab_path=%obuild_BatchLab_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%" MKDIR "%obuild_BatchLab_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%" MKDIR "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_BatchLab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_BatchLab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CERNLIB_home=C:\cern\pro
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_command=cl.exe
:end_if_platform_3
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_optimize=/O2
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_7
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_9
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_dll_BatchLabZebra_sh_10
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_dll_BatchLabZebra_sh_10
:else_if_db_build_dll_BatchLabZebra_sh_10
  SET obuild_cxx_debug_local=
:end_if_db_build_dll_BatchLabZebra_sh_10

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_dll_BatchLabZebra_sh_11
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_dll_BatchLabZebra_sh_11
:else_if_opt_build_dll_BatchLabZebra_sh_11
  SET obuild_cxx_optimize_local=
:end_if_opt_build_dll_BatchLabZebra_sh_11

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_f77_command=f77.exe
:end_if_platform_13
SET obuild_platform_result=
IF "%obuild_f77_command%" == ""  ECHO Variable obuild_f77_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_f77_options=/nologo /MD
:end_if_platform_15
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_dll_BatchLabZebra_sh_16
  SET obuild_f77_debug_local=%obuild_f77_debug%
  GOTO end_if_db_build_dll_BatchLabZebra_sh_16
:else_if_db_build_dll_BatchLabZebra_sh_16
  SET obuild_f77_debug_local=
:end_if_db_build_dll_BatchLabZebra_sh_16

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_dll_BatchLabZebra_sh_17
  SET obuild_f77_optimize_local=%obuild_f77_optimize%
  GOTO end_if_opt_build_dll_BatchLabZebra_sh_17
:else_if_opt_build_dll_BatchLabZebra_sh_17
  SET obuild_f77_optimize_local=
:end_if_opt_build_dll_BatchLabZebra_sh_17


IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%" MKDIR "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_BatchLab_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_BatchLab_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL `) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash `) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL `) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip `) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight `) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit `) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_BatchLab_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HCL_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\dll_BatchLabZebra" RMDIR /S /Q "%obuild_BatchLab_path%\%obuild_dir_bin%\dll_BatchLabZebra"
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\dll_BatchLabZebra" MKDIR "%obuild_BatchLab_path%\%obuild_dir_bin%\dll_BatchLabZebra"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_BatchLabZebra\CHBOOK.obj  /Tp"..\source\Zebra\CHBOOK.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_BatchLabZebra\Zebra_Histogram.obj  /Tp"..\source\Zebra\Zebra_Histogram.cxx" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_BatchLabZebra\Zebra_Tuple.obj  /Tp"..\source\Zebra\Zebra_Tuple.cxx" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_BatchLabZebra\Zebra_Tree.obj  /Tp"..\source\Zebra\Zebra_Tree.cxx" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_BatchLabZebra\Zebra_Manager.obj  /Tp"..\source\Zebra\Zebra_Manager.cxx" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_BatchLabZebra\Zebra.obj  /Tp"..\source\Zebra\Zebra.cxx" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\dll_BatchLabZebra\close.obj  "..\source\Zebra\close.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\dll_BatchLabZebra\setpawc.obj  "..\source\Zebra\setpawc.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\dll_BatchLabZebra\hntvar2.obj  "..\source\Zebra\hntvar2.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_BatchLab_path%\obuild"

cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\dll_BatchLabZebra\hisid.obj  "..\source\Zebra\hisid.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_BatchLab_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

SET obuild_linked_paths=/LIBPATH:"%obuild_BatchLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=BatchLabCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HCL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HCL.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zip_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Midnight_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% Midnight.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Minuit_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Minuit.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
SET obuild_linked_libraries=%obuild_linked_libraries% /libpath:C:\cern\pro\lib packmd.lib shiftmd.lib advapi32.lib ws2_32.lib
:end_if_platform_55
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
SET obuild_linked_libraries=%obuild_linked_libraries% /libpath:"C:\Program Files\Microsoft Visual Studio\DF98\lib"
:end_if_platform_57
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_BatchLab_0=%%d
cd "%obuild_BatchLab_path%\%obuild_dir_bin%"
IF EXIST .\dll_BatchLabZebra\tmp_objs DEL .\dll_BatchLabZebra\tmp_objs
FOR %%f IN (.\dll_BatchLabZebra\*.obj) DO ECHO %%f >> .\dll_BatchLabZebra\tmp_objs

REM # Create the archive library BatchLabZebra :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_BatchLabZebra\BatchLabZebra.arc @.\dll_BatchLabZebra\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_BatchLab_path%\obuild\cpp\obuild_windef.c" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\dll_BatchLabZebra\tmp .\dll_BatchLabZebra\BatchLabZebra.arc 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe BatchLabZebra < .\dll_BatchLabZebra\tmp > .\dll_BatchLabZebra\BatchLabZebra.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_BatchLabZebra\BatchLabZebra.lib /def:.\dll_BatchLabZebra\BatchLabZebra.def 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\BatchLabZebra.dll DEL .\BatchLabZebra.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\BatchLabZebra.dll .\dll_BatchLabZebra\BatchLabZebra.exp .\dll_BatchLabZebra\BatchLabZebra.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_BatchLab_0%"
SET obuild_pwd_BatchLab_0=
REM # Some cleanup :
IF EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\dll_BatchLabZebra\tmp_objs" DEL "%obuild_BatchLab_path%\%obuild_dir_bin%\dll_BatchLabZebra\tmp_objs"
IF EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.exp" DEL "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.exp"

:obuild_return
ENDLOCAL
@ECHO ON
