#ifndef BatchLab_MidnightFitter_h
#define BatchLab_MidnightFitter_h

/*
 * BatchLab encapsulation of the Midnight optimizer.
 * 
 */

// Inheritance :
#include <BatchLab/Core/BaseFitter.h>

namespace BatchLab {

class MidnightFitter : public BaseFitter {
public: //IManagedObject
  virtual void* cast(const std::string&) const;
public: //BatchLab::BaseFitter :
  virtual bool baseFit(AIDA::IFunction&,
                       const std::vector< std::vector<double> >&,
                       const std::vector<double>&,
                       const std::vector<double>&,
                       double&,std::vector<double>&);
public:
  MidnightFitter(Slash::Core::IWriter&,
                 AIDA::IFunctionFactory&,AIDA::ITupleFactory&);
  virtual ~MidnightFitter();
private:
  static void function(int&,double*,double&,double*,int,void*);
};

}

#endif
