@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package CoinQt with version v1r130p8.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_CoinQt
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_CoinQt_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_CoinQt_path=%obuild_CoinQt_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_CoinQt_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.4.2
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Qt_moc=%Qt_home%\bin\moc
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_command=cl.exe
:end_if_platform_5
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_optimize=/O2
:end_if_platform_7
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_11
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_CoinQt_sh_12
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_CoinQt_sh_12
:else_if_db_build_lib_CoinQt_sh_12
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_CoinQt_sh_12

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_CoinQt_sh_13
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_CoinQt_sh_13
:else_if_opt_build_lib_CoinQt_sh_13
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_CoinQt_sh_13


SET obuild_cxx_macros=%obuild_cxx_macros% /DHAVE_CONFIG_H
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOQT_INTERNAL
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOQT_DEBUG=0
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOQT_MAKE_DLL
:end_if_platform_17
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_18
SET obuild_platform_result=

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_CoinQt_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL `) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL `) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_CoinQt_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinQt_path%\src"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinQt_path%\data"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_includes=%obuild_cxx_includes% /I%Qt_home%\include /I%Qt_home%\include\QtCore /I%Qt_home%\include\QtGui /I%Qt_home%\include\QtOpenGL
:end_if_platform_26
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt" RMDIR /S /Q "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt"
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt"

%Qt_moc% -o ..\src\Inventor\Qt\moc_SoQtP.icc ..\include\Inventor\Qt\SoQtP.h
%Qt_moc% -o ..\src\Inventor\Qt\moc_SoQtComponentP.icc ..\include\Inventor\Qt\SoQtComponentP.h 
%Qt_moc% -o ..\src\Inventor\Qt\moc_SoQtGLWidgetP.icc ..\include\Inventor\Qt\SoQtGLWidgetP.h 
%Qt_moc% -o ..\src\Inventor\Qt\viewers\moc_SoQtExaminerViewerP.icc ..\include\Inventor\Qt\viewers\SoQtExaminerViewerP.h 
%Qt_moc% -o ..\src\Inventor\Qt\viewers\moc_SoQtFullViewerP.icc ..\include\Inventor\Qt\viewers\SoQtFullViewerP.h 
%Qt_moc% -o ..\src\Inventor\Qt\viewers\moc_SoQtPlaneViewerP.icc ..\include\Inventor\Qt\viewers\SoQtPlaneViewerP.h 
%Qt_moc% -o ..\src\Inventor\Qt\widgets\moc_QtNativePopupMenu.icc ..\include\Inventor\Qt\widgets\QtNativePopupMenu.h 
%Qt_moc% -o ..\src\Inventor\Qt\widgets\moc_SoQtGLArea.icc ..\include\Inventor\Qt\widgets\SoQtGLArea.h 
%Qt_moc% -o ..\src\Inventor\Qt\widgets\moc_SoQtThumbWheel.icc ..\include\Inventor\Qt\widgets\SoQtThumbWheel.h 
@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\QtNativePopupMenu.obj  /Tp"..\src\Inventor\Qt\widgets\QtNativePopupMenu.cpp" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAnyThumbWheel.obj  /Tp"..\src\Inventor\Qt\widgets\SoAnyThumbWheel.cpp" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtGLArea.obj  /Tp"..\src\Inventor\Qt\widgets\SoQtGLArea.cpp" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtPopupMenu.obj  /Tp"..\src\Inventor\Qt\widgets\SoQtPopupMenu.cpp" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtThumbWheel.obj  /Tp"..\src\Inventor\Qt\widgets\SoQtThumbWheel.cpp" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\6DOFEvents.obj  /Tp"..\src\Inventor\Qt\devices\6DOFEvents.cpp" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtDevice.obj  /Tp"..\src\Inventor\Qt\devices\SoQtDevice.cpp" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtDeviceCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtDeviceCommon.cpp" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtInputFocus.obj  /Tp"..\src\Inventor\Qt\devices\SoQtInputFocus.cpp" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtInputFocusCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtInputFocusCommon.cpp" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtKeyboard.obj  /Tp"..\src\Inventor\Qt\devices\SoQtKeyboard.cpp" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtKeyboardCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtKeyboardCommon.cpp" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtMouse.obj  /Tp"..\src\Inventor\Qt\devices\SoQtMouse.cpp" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtMouseCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtMouseCommon.cpp" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtSpaceball.obj  /Tp"..\src\Inventor\Qt\devices\SoQtSpaceball.cpp" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtSpaceballCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtSpaceballCommon.cpp" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ExaminerViewer.obj  /Tp"..\src\Inventor\Qt\viewers\ExaminerViewer.cpp" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\FullViewer.obj  /Tp"..\src\Inventor\Qt\viewers\FullViewer.cpp" 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\PlaneViewer.obj  /Tp"..\src\Inventor\Qt\viewers\PlaneViewer.cpp" 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtConstrainedViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtConstrainedViewer.cpp" 1> exe_error_19
@IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_19
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtExaminerViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtExaminerViewer.cpp" 1> exe_error_20
@IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_20
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtFlyViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtFlyViewer.cpp" 1> exe_error_21
@IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_21
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtFullViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtFullViewer.cpp" 1> exe_error_22
@IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_22
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtPlaneViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtPlaneViewer.cpp" 1> exe_error_23
@IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_23
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtViewer.cpp" 1> exe_error_24
@IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_24
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtWalkViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtWalkViewer.cpp" 1> exe_error_25
@IF ERRORLEVEL 1 @TYPE exe_error_25 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_25
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ClickCounter.obj  /Tp"..\src\Inventor\Qt\nodes\ClickCounter.cpp" 1> exe_error_26
@IF ERRORLEVEL 1 @TYPE exe_error_26 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_26
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ColorEditor.obj  /Tp"..\src\Inventor\Qt\nodes\ColorEditor.cpp" 1> exe_error_27
@IF ERRORLEVEL 1 @TYPE exe_error_27 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_27
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Frame.obj  /Tp"..\src\Inventor\Qt\nodes\Frame.cpp" 1> exe_error_28
@IF ERRORLEVEL 1 @TYPE exe_error_28 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_28
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Image.obj  /Tp"..\src\Inventor\Qt\nodes\Image.cpp" 1> exe_error_29
@IF ERRORLEVEL 1 @TYPE exe_error_29 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_29
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Label.obj  /Tp"..\src\Inventor\Qt\nodes\Label.cpp" 1> exe_error_30
@IF ERRORLEVEL 1 @TYPE exe_error_30 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_30
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\MaterialEditor.obj  /Tp"..\src\Inventor\Qt\nodes\MaterialEditor.cpp" 1> exe_error_31
@IF ERRORLEVEL 1 @TYPE exe_error_31 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_31
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Pane.obj  /Tp"..\src\Inventor\Qt\nodes\Pane.cpp" 1> exe_error_32
@IF ERRORLEVEL 1 @TYPE exe_error_32 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_32
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Position.obj  /Tp"..\src\Inventor\Qt\nodes\Position.cpp" 1> exe_error_33
@IF ERRORLEVEL 1 @TYPE exe_error_33 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_33
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\RadioButton.obj  /Tp"..\src\Inventor\Qt\nodes\RadioButton.cpp" 1> exe_error_34
@IF ERRORLEVEL 1 @TYPE exe_error_34 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_34
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SceneTexture2.obj  /Tp"..\src\Inventor\Qt\nodes\SceneTexture2.cpp" 1> exe_error_35
@IF ERRORLEVEL 1 @TYPE exe_error_35 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_35
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Slider1.obj  /Tp"..\src\Inventor\Qt\nodes\Slider1.cpp" 1> exe_error_36
@IF ERRORLEVEL 1 @TYPE exe_error_36 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_36
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Slider2.obj  /Tp"..\src\Inventor\Qt\nodes\Slider2.cpp" 1> exe_error_37
@IF ERRORLEVEL 1 @TYPE exe_error_37 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_37
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoGuiNodes.obj  /Tp"..\src\Inventor\Qt\nodes\SoGuiNodes.cpp" 1> exe_error_38
@IF ERRORLEVEL 1 @TYPE exe_error_38 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_38
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ToggleButton.obj  /Tp"..\src\Inventor\Qt\nodes\ToggleButton.cpp" 1> exe_error_39
@IF ERRORLEVEL 1 @TYPE exe_error_39 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_39
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Translation.obj  /Tp"..\src\Inventor\Qt\nodes\Translation.cpp" 1> exe_error_40
@IF ERRORLEVEL 1 @TYPE exe_error_40 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_40
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ViewpointWrapper.obj  /Tp"..\src\Inventor\Qt\nodes\ViewpointWrapper.cpp" 1> exe_error_41
@IF ERRORLEVEL 1 @TYPE exe_error_41 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_41
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ViewportFix.obj  /Tp"..\src\Inventor\Qt\nodes\ViewportFix.cpp" 1> exe_error_42
@IF ERRORLEVEL 1 @TYPE exe_error_42 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_42
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Engines.obj  /Tp"..\src\Inventor\Qt\engines\Engines.cpp" 1> exe_error_43
@IF ERRORLEVEL 1 @TYPE exe_error_43 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_43
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Format.obj  /Tp"..\src\Inventor\Qt\engines\Format.cpp" 1> exe_error_44
@IF ERRORLEVEL 1 @TYPE exe_error_44 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_44
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\RadioGroup.obj  /Tp"..\src\Inventor\Qt\engines\RadioGroup.cpp" 1> exe_error_45
@IF ERRORLEVEL 1 @TYPE exe_error_45 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_45
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAny.obj  /Tp"..\src\Inventor\Qt\SoAny.cpp" 1> exe_error_46
@IF ERRORLEVEL 1 @TYPE exe_error_46 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_46
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAnyMaterialList.obj  /Tp"..\src\Inventor\Qt\SoAnyMaterialList.cpp" 1> exe_error_47
@IF ERRORLEVEL 1 @TYPE exe_error_47 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_47
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAnyMaterialListBuiltins.obj  /Tp"..\src\Inventor\Qt\SoAnyMaterialListBuiltins.cpp" 1> exe_error_48
@IF ERRORLEVEL 1 @TYPE exe_error_48 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_48
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQt.obj  /Tp"..\src\Inventor\Qt\SoQt.cpp" 1> exe_error_49
@IF ERRORLEVEL 1 @TYPE exe_error_49 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_49
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtCommon.obj  /Tp"..\src\Inventor\Qt\SoQtCommon.cpp" 1> exe_error_50
@IF ERRORLEVEL 1 @TYPE exe_error_50 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_50
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtComponent.obj  /Tp"..\src\Inventor\Qt\SoQtComponent.cpp" 1> exe_error_51
@IF ERRORLEVEL 1 @TYPE exe_error_51 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_51
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtComponentCommon.obj  /Tp"..\src\Inventor\Qt\SoQtComponentCommon.cpp" 1> exe_error_52
@IF ERRORLEVEL 1 @TYPE exe_error_52 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_52
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtCursor.obj  /Tp"..\src\Inventor\Qt\SoQtCursor.cpp" 1> exe_error_53
@IF ERRORLEVEL 1 @TYPE exe_error_53 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_53
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtGLWidget.obj  /Tp"..\src\Inventor\Qt\SoQtGLWidget.cpp" 1> exe_error_54
@IF ERRORLEVEL 1 @TYPE exe_error_54 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_54
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtGLWidgetCommon.obj  /Tp"..\src\Inventor\Qt\SoQtGLWidgetCommon.cpp" 1> exe_error_55
@IF ERRORLEVEL 1 @TYPE exe_error_55 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_55
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtObject.obj  /Tp"..\src\Inventor\Qt\SoQtObject.cpp" 1> exe_error_56
@IF ERRORLEVEL 1 @TYPE exe_error_56 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_56
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtRenderArea.obj  /Tp"..\src\Inventor\Qt\SoQtRenderArea.cpp" 1> exe_error_57
@IF ERRORLEVEL 1 @TYPE exe_error_57 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_57
cd "%obuild_CoinQt_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_88
SET obuild_cxx_linker_command=link.exe
:end_if_platform_88
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_90
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_90
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_92
SET obuild_cxx_linker_options=/nologo
:end_if_platform_92
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_CoinQt_sh_93
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_CoinQt_sh_93
:else_if_db_build_lib_CoinQt_sh_93
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_CoinQt_sh_93

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_CoinQt_sh_94
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_CoinQt_sh_94
:else_if_opt_build_lib_CoinQt_sh_94
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_CoinQt_sh_94

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_96
SET obuild_linked_paths=/LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=osc_Coin.lib
:end_if_platform_96
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_98
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_98
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_100
SET obuild_linked_libraries=%obuild_linked_libraries% %Qt_home%\lib\QtOpenGL4.lib %Qt_home%\lib\QtGui4.lib %Qt_home%\lib\QtCore4.lib
:end_if_platform_100
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF EXIST .\lib_CoinQt\tmp_objs DEL .\lib_CoinQt\tmp_objs
FOR %%f IN (.\lib_CoinQt\*.obj) DO ECHO %%f >> .\lib_CoinQt\tmp_objs

REM # Create the archive library CoinQt :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_CoinQt\CoinQt.arc @.\lib_CoinQt\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_CoinQt_path%\obuild\cpp\obuild_windef.c" 1> exe_error_58
@IF ERRORLEVEL 1 @TYPE exe_error_58 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_58
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_CoinQt\tmp .\lib_CoinQt\CoinQt.arc 1> exe_error_59
@IF ERRORLEVEL 1 @TYPE exe_error_59 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_59
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe CoinQt < .\lib_CoinQt\tmp > .\lib_CoinQt\CoinQt.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\CoinQt.lib /def:.\lib_CoinQt\CoinQt.def 1> exe_error_60
@IF ERRORLEVEL 1 @TYPE exe_error_60 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_60
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\CoinQt.dll DEL .\CoinQt.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\CoinQt.dll .\CoinQt.exp .\lib_CoinQt\CoinQt.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
REM # Some cleanup :
IF EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt\tmp_objs" DEL "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt\tmp_objs"
IF EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.exp" DEL "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.exp"

:obuild_return
ENDLOCAL
@ECHO ON
