@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package G3Lab with version v3r2p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_G3LabCore
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_G3Lab_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_G3Lab_path=%obuild_G3Lab_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_G3Lab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_G3Lab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CERNLIB_home=C:\cern\pro
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_command=cl.exe
:end_if_platform_3
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_optimize=/O2
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_7
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_9
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_G3LabCore_sh_10
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_G3LabCore_sh_10
:else_if_db_build_lib_G3LabCore_sh_10
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_G3LabCore_sh_10

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_G3LabCore_sh_11
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_G3LabCore_sh_11
:else_if_opt_build_lib_G3LabCore_sh_11
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_G3LabCore_sh_11

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_f77_command=f77.exe
:end_if_platform_13
SET obuild_platform_result=
IF "%obuild_f77_command%" == ""  ECHO Variable obuild_f77_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_f77_options=/nologo /MD
:end_if_platform_15
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_G3LabCore_sh_16
  SET obuild_f77_debug_local=%obuild_f77_debug%
  GOTO end_if_db_build_lib_G3LabCore_sh_16
:else_if_db_build_lib_G3LabCore_sh_16
  SET obuild_f77_debug_local=
:end_if_db_build_lib_G3LabCore_sh_16

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_G3LabCore_sh_17
  SET obuild_f77_optimize_local=%obuild_f77_optimize%
  GOTO end_if_opt_build_lib_G3LabCore_sh_17
:else_if_opt_build_lib_G3LabCore_sh_17
  SET obuild_f77_optimize_local=
:end_if_opt_build_lib_G3LabCore_sh_17


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_18
SET obuild_platform_result=

IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_G3Lab_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_G3Lab_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash `) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis `) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL `) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX `) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_G3Lab_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HEPVis_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_OnX_path%\include"

IF EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabCore" RMDIR /S /Q "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabCore"
IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabCore" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabCore"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G3LabCore\Types.obj  /Tp"..\source\Types.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_G3Lab_path%\obuild"

cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G3LabCore\gmanip.obj  /Tp"..\source\gmanip.cxx" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_G3Lab_path%\obuild"

cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\lib_G3LabCore\ogeant.obj  "..\source\ogeant.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_G3Lab_path%\obuild"

cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G3LabCore\SoF77.obj  /Tp"..\source\SoF77.cxx" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_G3Lab_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF EXIST .\lib_G3LabCore\tmp_objs DEL .\lib_G3LabCore\tmp_objs
FOR %%f IN (.\lib_G3LabCore\*.obj) DO ECHO %%f >> .\lib_G3LabCore\tmp_objs

REM # Create the archive library G3LabCore :
IF EXIST .\G3LabCore.lib DEL .\G3LabCore.lib
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\G3LabCore.lib @.\lib_G3LabCore\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
REM # Some cleanup :
IF EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabCore\tmp_objs" DEL "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabCore\tmp_objs"
IF EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\G3LabCore.exp" DEL "%obuild_G3Lab_path%\%obuild_dir_bin%\G3LabCore.exp"

:obuild_return
ENDLOCAL
@ECHO ON
