@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package G3Lab with version v3r2p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_G3LabDummy
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_G3Lab_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_G3Lab_path=%obuild_G3Lab_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_G3Lab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_G3Lab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CERNLIB_home=C:\cern\pro
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_f77_command=f77.exe
:end_if_platform_3
SET obuild_platform_result=
IF "%obuild_f77_command%" == ""  ECHO Variable obuild_f77_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_f77_options=/nologo /MD
:end_if_platform_5
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_G3LabDummy_sh_6
  SET obuild_f77_debug_local=%obuild_f77_debug%
  GOTO end_if_db_build_lib_G3LabDummy_sh_6
:else_if_db_build_lib_G3LabDummy_sh_6
  SET obuild_f77_debug_local=
:end_if_db_build_lib_G3LabDummy_sh_6

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_G3LabDummy_sh_7
  SET obuild_f77_optimize_local=%obuild_f77_optimize%
  GOTO end_if_opt_build_lib_G3LabDummy_sh_7
:else_if_opt_build_lib_G3LabDummy_sh_7
  SET obuild_f77_optimize_local=
:end_if_opt_build_lib_G3LabDummy_sh_7


IF EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabDummy" RMDIR /S /Q "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabDummy"
IF NOT EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabDummy" MKDIR "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabDummy"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\lib_G3LabDummy\idummy.obj  "..\source\idummy.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_G3Lab_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G3Lab_0=%%d
cd "%obuild_G3Lab_path%\%obuild_dir_bin%"
IF EXIST .\lib_G3LabDummy\tmp_objs DEL .\lib_G3LabDummy\tmp_objs
FOR %%f IN (.\lib_G3LabDummy\*.obj) DO ECHO %%f >> .\lib_G3LabDummy\tmp_objs

REM # Create the archive library G3LabDummy :
IF EXIST .\G3LabDummy.lib DEL .\G3LabDummy.lib
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\G3LabDummy.lib @.\lib_G3LabDummy\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_G3Lab_0%"
SET obuild_pwd_G3Lab_0=
REM # Some cleanup :
IF EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabDummy\tmp_objs" DEL "%obuild_G3Lab_path%\%obuild_dir_bin%\lib_G3LabDummy\tmp_objs"
IF EXIST "%obuild_G3Lab_path%\%obuild_dir_bin%\G3LabDummy.exp" DEL "%obuild_G3Lab_path%\%obuild_dir_bin%\G3LabDummy.exp"

:obuild_return
ENDLOCAL
@ECHO ON
