#ifndef Detector_h
#define Detector_h 1

// inheritance :
#include "G4VUserDetectorConstruction.hh"

class G4UserLimits;
class MagneticField;

class Detector : public G4VUserDetectorConstruction {
public: //G4VUserDetector
  virtual G4VPhysicalVolume* Construct();
public:
  Detector();
  virtual ~Detector();
private:
  G4UserLimits* stepLimit;             // pointer to user step limits
  MagneticField* fpMagField;   // pointer to the magnetic field 
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif
