#ifndef G4LabTemplateThree_Detector_h
#define G4LabTemplateThree_Detector_h

// Inheritance :
#include <G4VUserDetectorConstruction.hh>

#include <string>

class SAXProcessor;
class ProcessingConfigurator;

namespace G4LabTemplateThree {

class Detector : public G4VUserDetectorConstruction {
public:
  Detector(const std::string&);
  virtual ~Detector();
public:
  G4VPhysicalVolume* Construct();
private:
  G4VPhysicalVolume* dummyWorld();
private:
  SAXProcessor* fSXP;
  ProcessingConfigurator* fConfig;
};

}

#endif

