// this :
#include <G4LabTemplateThree/Primary.h>

// Geant4 :
#include <G4Event.hh>
#include <G4ParticleGun.hh>
#include <G4UImanager.hh>

G4LabTemplateThree::Primary::Primary()
{
  G4int n_particle = 1;
  fGun = new G4ParticleGun(n_particle);

  G4UImanager* UI = G4UImanager::GetUIpointer();
  UI->ApplyCommand("/gun/particle geantino");
  UI->ApplyCommand("/gun/energy 1.0 GeV");
  UI->ApplyCommand("/gun/position -2.0 0.0 0.0 cm");
}

G4LabTemplateThree::Primary::~Primary() {
  delete fGun;
}

void G4LabTemplateThree::Primary::GeneratePrimaries(G4Event* anEvent) {
  G4UImanager* UI = G4UImanager::GetUIpointer();
  G4int i = anEvent->GetEventID() % 3;
  switch(i) {
    case 0:
      UI->ApplyCommand("/gun/direction 0.0 0.0 0.1");
      break;
    case 1:
      UI->ApplyCommand("/gun/direction 1.0 0.1 0.0");
      break;
    case 2:
      UI->ApplyCommand("/gun/direction 1.0 0.0 0.1");
      break;
  }
  fGun->GeneratePrimaryVertex(anEvent);
}


