#ifndef G4LabTemplateTwo_Detector_h
#define G4LabTemplateTwo_Detector_h

//Geant4
#include <G4VUserDetectorConstruction.hh>
#include <G4Types.hh>

class G4VPhysicalVolume;

namespace G4LabTemplateTwo {

class Detector : public G4VUserDetectorConstruction {
  public:        
    Detector();
    virtual ~Detector();
    virtual G4VPhysicalVolume* Construct();
  private:
    void DumpGeometricalTree(G4VPhysicalVolume* aVolume,
			     G4int depth = 0);
  };
}

#endif
