#ifndef G4LabTemplateTwo_SDetector_h
#define G4LabTemplateTwo_SDetector_h 1

//This code is inspired from ExN02TrackerSD

//Inheritance :
#include <G4VSensitiveDetector.hh>

//G4LabTemplateTwo
#include "G4LabTemplateTwo/DetectorHit.h"

class G4Step;
class G4HCofThisEvent;

namespace G4LabTemplateTwo {

class Analysis;

class SDetector : public G4VSensitiveDetector {
 public:
  SDetector(G4String);
  virtual ~SDetector();
  
  virtual void Initialize(G4HCofThisEvent*);
  virtual G4bool ProcessHits(G4Step*, G4TouchableHistory*);
  virtual void EndOfEvent(G4HCofThisEvent*);
  virtual void PrintAll();

 private:
  DetectorHitsCollection* hitCollection; //Collection of hits
  G4int HCID;
};

}

#endif

