#ifndef G4LabTemplateTwo_SteppingAction_h
#define G4LabTemplateTwo_SteppingAction_h

// Inheritance :
#include <G4UserSteppingAction.hh>

namespace AIDA {
  class IHistogram1D;
}


namespace G4LabTemplateTwo {

class Analysis;

class SteppingAction : public G4UserSteppingAction {
public:
  SteppingAction(Analysis&);
  virtual ~SteppingAction();
  virtual void UserSteppingAction(const G4Step*);
private:
  Analysis& fAnalysis;
  //User histo
  AIDA::IHistogram1D* m_histoDE;
  AIDA::IHistogram1D* m_histoDL;
};

}

#endif
