// this :
#include <Lib/sjust.h>

#include <Lib/smanip.h>

//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 const std::string& aString
,unsigned int aSize
,Lib::smanip::side aSide
)
:std::string(aString) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  smanip::justify(*this,aSize,aSide);
}
#include <stdio.h>
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 int aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%d",aValue);
  append(s);
  smanip::justify(*this,aSize,aSide);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 double aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%g",aValue);
  append(s);
  smanip::justify(*this,aSize,aSide);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 float aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%g",aValue);
  append(s);
  smanip::justify(*this,aSize,aSide);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 char aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%d",aValue);
  append(s);
  smanip::justify(*this,aSize,aSide);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 short aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%d",aValue);
  append(s);
  smanip::justify(*this,aSize,aSide);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 int64 aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,LIB_INT64_FORMAT,aValue);
  append(s);
  smanip::justify(*this,aSize,aSide);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sjust::sjust(
 bool aValue
,unsigned int aSize
,Lib::smanip::side aSide
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%s",aValue?"true":"false");
  append(s);
  smanip::justify(*this,aSize,aSide);
}
