#include <sstream>
#include <iostream>

template <class T>
inline bool to(const std::string& a_s,T& a_v) {
  std::istringstream strm(a_s.c_str());
  std::istringstream::pos_type pb = strm.tellg();
  strm >> a_v;
  std::istringstream::pos_type pe = strm.tellg();
  if((pe-pb)!=a_s.size()) {a_v = 0;return false;}
  return true;
}

int main() {

 {int v = 314;
  std::ostringstream strm;
  strm << v;
  std::string s = strm.str();
  std::cout << s << std::endl;}

 {double v = 3.14;
  std::ostringstream strm;
  strm << v;
  std::string s = strm.str();
  std::cout << s << std::endl;}

 {int v;
  if(!to<int>("314",v)) {
    std::cout << "error" << std::endl;
  }else{
    std::cout << v << std::endl;
  }}

 {double v;
  if(!to<double>("3.14",v)) {
    std::cout << "error" << std::endl;
  }else{
    std::cout << v << std::endl;
  }}

  // test errors :
 {int v;
  if(!to<int>("31uu4",v)) {
    std::cout << "error" << std::endl;
  }else{
    std::cout << v << std::endl;
  }}

 {double v;
  if(!to<double>("x3.14",v)) {
    std::cout << "error" << std::endl;
  }else{
    std::cout << v << std::endl;
  }}

  return 0;
}