#ifndef OnX_Net_Protocol_h
#define OnX_Net_Protocol_h

#include <string>

#define ONX_PROTOCOL_FILE std::string("OnX_file")
#define ONX_PROTOCOL_EXEC std::string("OnX_exec")
#define ONX_PROTOCOL_MSG std::string("OnX_msg")
#define ONX_PROTOCOL_END std::string("OnX_end")
#define ONX_PROTOCOL_EXIT std::string("OnX_exit")
#define ONX_PROTOCOL_DATA std::string("OnX_data")
#define ONX_PROTOCOL_FILE_EXISTS std::string("OnX_file_exists")

inline bool OnX_protocol(const std::string& aString,std::string& aWhat,std::string& aValue) {
  std::string::size_type pos = aString.find(":");
  if(pos==std::string::npos) return false; //Bad syntax.
  aWhat = aString.substr(0,pos);
  aValue = aString.substr(pos+1,aString.length()-(pos+1));
  return true;
}

#endif
