@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package OnX with version v17r12p2.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_OnX
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_OnX_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_OnX_path=%obuild_OnX_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnX_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnX_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.4.2
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Qt_moc=%Qt_home%\bin\moc
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET Python_version=25
:end_if_platform_9
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_command=cl.exe
:end_if_platform_11
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_optimize=/O2
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_17
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_dll_OnX_sh_18
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_dll_OnX_sh_18
:else_if_db_build_dll_OnX_sh_18
  SET obuild_cxx_debug_local=
:end_if_db_build_dll_OnX_sh_18

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_dll_OnX_sh_19
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_dll_OnX_sh_19
:else_if_opt_build_dll_OnX_sh_19
  SET obuild_cxx_optimize_local=
:end_if_opt_build_dll_OnX_sh_19


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_20
SET obuild_platform_result=

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OnX_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_OnX_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat `) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash `) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis `) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL `) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat `) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip `) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis `) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis `) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis `) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis `) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg `) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap `) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 `) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  png `) DO SET obuild_png_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_png_path  ECHO Can't find png package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL `) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_OnX_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_expat_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HEPVis_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\dll_OnX" RMDIR /S /Q "%obuild_OnX_path%\%obuild_dir_bin%\dll_OnX"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\dll_OnX" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%\dll_OnX"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\InputAxis.obj  /Tp"..\source\Callbacks\InputAxis.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Viewer.obj  /Tp"..\source\Callbacks\Viewer.cxx" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\AccessorAccessor.obj  /Tp"..\source\Callbacks\AccessorAccessor.cxx" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\SceneGraphAccessor.obj  /Tp"..\source\Callbacks\SceneGraphAccessor.cxx" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Deprecated.obj  /Tp"..\source\Callbacks\Deprecated.cxx" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\SessionCallbacks.obj  /Tp"..\source\Callbacks\SessionCallbacks.cxx" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Callbacks.obj  /Tp"..\source\Callbacks\Callbacks.cxx" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\EditExec.obj  /Tp"..\source\Callbacks\EditExec.cxx" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Viewer.obj  /Tp"..\source\Callbacks\Viewer.cxx" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\IB.obj  /Tp"..\source\Callbacks\IB.cxx" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Page.obj  /Tp"..\source\Callbacks\Page.cxx" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Region.obj  /Tp"..\source\Callbacks\Region.cxx" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\Plotter.obj  /Tp"..\source\Callbacks\Plotter.cxx" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\InputFont.obj  /Tp"..\source\Callbacks\InputFont.cxx" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\InputPlotter.obj  /Tp"..\source\Callbacks\InputPlotter.cxx" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_OnX_path%\obuild"

cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnX\InputAxis.obj  /Tp"..\source\Callbacks\InputAxis.cxx" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_OnX_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

SET obuild_linked_paths=/LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=LibXML.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_expat_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_expat.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zip_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisPlotter.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisDetector.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisGeometry.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_jpeg_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_jpeg.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_dvi2bitmap_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_dvi2bitmap.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_freetype2_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_freetype2.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_png_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_png.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_82
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_82
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_84
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_84
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF EXIST .\dll_OnX\tmp_objs DEL .\dll_OnX\tmp_objs
FOR %%f IN (.\dll_OnX\*.obj) DO ECHO %%f >> .\dll_OnX\tmp_objs

REM # Create the archive library OnX :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_OnX\OnX.arc @.\dll_OnX\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_OnX_path%\obuild\cpp\obuild_windef.c" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\dll_OnX\tmp .\dll_OnX\OnX.arc 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe OnX < .\dll_OnX\tmp > .\dll_OnX\OnX.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_OnX\OnX.lib /def:.\dll_OnX\OnX.def 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\OnX.dll DEL .\OnX.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\OnX.dll .\dll_OnX\OnX.exp .\dll_OnX\OnX.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
REM # Some cleanup :
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\dll_OnX\tmp_objs" DEL "%obuild_OnX_path%\%obuild_dir_bin%\dll_OnX\tmp_objs"
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.exp" DEL "%obuild_OnX_path%\%obuild_dir_bin%\OnX.exp"

:obuild_return
ENDLOCAL
@ECHO ON
