
//FIXME : have to be on a OpenGLArea IWidget.

#include "OnX_gl2ps.h"

//#include <stdio.h> //fopen

//////////////////////////////////////////////////////////////////////////////
bool write_gl2ps(
 OnX::BaseUI& aUI
,Lib::ItemML& aItemML
,unsigned int aWidth
,unsigned int aHeight
,const std::string& aFileName
,const std::string& aOptions //FIXME
) {
  std::string sclass;
  if(!aItemML.attributeValue("","class",sclass)) {
    Lib::Out out(aUI.session().printer());
    out << "write_gl2ps :" 
        << " component without a class." 
        << Lib::endl;
    return false;
  }
  if(sclass!="OpenGLArea") {
    Lib::Out out(aUI.session().printer());
    out << "write_gl2ps :" 
        << " widget not an OpenGLArea. (" << sclass << ")."
        << Lib::endl;
    return false;
  }

  FILE* file = ::fopen(aFileName.c_str(),"w");
  if(!file) {
    Lib::Out out(aUI.session().printer());
    out << "OnX::write_gl2ps :"
        << " Cannot open file " << Lib::sout(aFileName)
        << Lib::endl;
    return false;
  }

  if(aUI.session().verboseLevel()) {
    Lib::Out out(aUI.session().printer());
    out << "OnX::write_gl2ps :"
        << " write file " << Lib::sout(aFileName) << "..."
        << Lib::endl;
  }

  int options = GL2PS_OCCLUSION_CULL 
    | GL2PS_BEST_ROOT 
    | GL2PS_SILENT
    | GL2PS_DRAW_BACKGROUND;
  int sort = GL2PS_BSP_SORT;
  //int sort = GL2PS_SIMPLE_SORT;
    
  GLint vp[4];
  vp[0] = 0;
  vp[1] = 0;
  vp[2] = aWidth;
  vp[3] = aHeight;

  int bufsize = 0;

// Glint state = GL2PS_OVERFLOW;
//  while( state == GL2PS_OVERFLOW ){ 
//    buffsize += 1024*1024;
//    ...
//    state = gl2psEndPage();
//  }

  gl2psBeginPage("title","OnX_gl2ps", 
                 vp,GL2PS_EPS,sort,options, 
                 GL_RGBA,0, NULL,0,0,0,bufsize, 
                 file,aFileName.c_str());
    
  bool stat = aUI.executeCallbacks(aItemML,"paint");
    
  //int state =
  gl2psEndPage();
  ::fclose(file);

  return stat;
}

