@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package OnXLab with version v1r6p3.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_OnXLabAIDA
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_OnXLab_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_OnXLab_path=%obuild_OnXLab_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.4.2
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Qt_moc=%Qt_home%\bin\moc
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Python_version=25
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_command=cl.exe
:end_if_platform_9
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_optimize=/O2
:end_if_platform_11
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_15
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_OnXLabAIDA_sh_16
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_OnXLabAIDA_sh_16
:else_if_db_build_lib_OnXLabAIDA_sh_16
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_OnXLabAIDA_sh_16

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_OnXLabAIDA_sh_17
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_OnXLabAIDA_sh_17
:else_if_opt_build_lib_OnXLabAIDA_sh_17
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_OnXLabAIDA_sh_17


IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX `) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab `) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash `) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab `) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL `) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight `) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit `) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX `) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat `) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib `) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_OnXLab_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_OnX_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_BatchLab_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\lib_OnXLabAIDA" RMDIR /S /Q "%obuild_OnXLab_path%\%obuild_dir_bin%\lib_OnXLabAIDA"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\lib_OnXLabAIDA" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%\lib_OnXLabAIDA"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_OnXLabAIDA\AIDA.obj  /Tp"..\source\Core\AIDA.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_OnXLab_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
SET obuild_cxx_linker_command=link.exe
:end_if_platform_32
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_34
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
SET obuild_cxx_linker_options=/nologo
:end_if_platform_36
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_OnXLabAIDA_sh_37
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_OnXLabAIDA_sh_37
:else_if_db_build_lib_OnXLabAIDA_sh_37
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_OnXLabAIDA_sh_37

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_OnXLabAIDA_sh_38
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_OnXLabAIDA_sh_38
:else_if_opt_build_lib_OnXLabAIDA_sh_38
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_OnXLabAIDA_sh_38

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
SET obuild_linked_paths=/LIBPATH:"%obuild_OnXLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=OnXLabCore.lib
:end_if_platform_40
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_BatchLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% BatchLabCore.lib
:end_if_platform_42
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_44
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HCL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HCL.lib
:end_if_platform_44
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_46
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Midnight_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% Midnight.lib
:end_if_platform_46
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_48
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Minuit_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Minuit.lib
:end_if_platform_48
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_50
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_OnX_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% OnXCore.lib
:end_if_platform_50
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_52
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibXML.lib
:end_if_platform_52
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_54
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_expat_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_expat.lib
:end_if_platform_54
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_56
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
:end_if_platform_56
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_58
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
:end_if_platform_58
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_60
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib
:end_if_platform_60
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF EXIST .\lib_OnXLabAIDA\tmp_objs DEL .\lib_OnXLabAIDA\tmp_objs
FOR %%f IN (.\lib_OnXLabAIDA\*.obj) DO ECHO %%f >> .\lib_OnXLabAIDA\tmp_objs

REM # Create the archive library OnXLabAIDA :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_OnXLabAIDA\OnXLabAIDA.arc @.\lib_OnXLabAIDA\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_OnXLab_path%\obuild\cpp\obuild_windef.c" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_OnXLabAIDA\tmp .\lib_OnXLabAIDA\OnXLabAIDA.arc 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe OnXLabAIDA < .\lib_OnXLabAIDA\tmp > .\lib_OnXLabAIDA\OnXLabAIDA.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\OnXLabAIDA.lib /def:.\lib_OnXLabAIDA\OnXLabAIDA.def 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\OnXLabAIDA.dll DEL .\OnXLabAIDA.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\OnXLabAIDA.dll .\OnXLabAIDA.exp .\lib_OnXLabAIDA\OnXLabAIDA.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
REM # Some cleanup :
IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\lib_OnXLabAIDA\tmp_objs" DEL "%obuild_OnXLab_path%\%obuild_dir_bin%\lib_OnXLabAIDA\tmp_objs"
IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.exp" DEL "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.exp"

:obuild_return
ENDLOCAL
@ECHO ON
