// this :
#include <OpenPAW/ZONE.h>

OpenPAW::ZONE::ZONE(int aNX,int aNY,int aFIRST,bool aSUPER)
:fNX(aNX)
,fNY(aNY)
,fFIRST(aFIRST)
,fSUPER(aSUPER)
{}

OpenPAW::ZONE::ZONE(const ZONE& aFrom)
:fNX(aFrom.fNX)
,fNY(aFrom.fNY)
,fFIRST(aFrom.fFIRST)
,fSUPER(aFrom.fSUPER)
{}

OpenPAW::ZONE::~ZONE(){}

OpenPAW::ZONE& OpenPAW::ZONE::operator=(const ZONE& aFrom){
  fNX = aFrom.fNX;
  fNY = aFrom.fNY;
  fFIRST = aFrom.fFIRST;
  fSUPER = aFrom.fSUPER;
  return *this;
}

int OpenPAW::ZONE::NX() const {return fNX;}

int OpenPAW::ZONE::NY() const {return fNY;}

int OpenPAW::ZONE::FIRST() const {return fFIRST;}

bool OpenPAW::ZONE::SUPER() const {return fSUPER;}
