@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package Rio with version v10r0p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_osc_Rio
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_Rio_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_Rio_path=%obuild_Rio_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%" MKDIR "%obuild_Rio_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%" MKDIR "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_Rio_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_Rio_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_c_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_c_command%" == ""  ECHO Variable obuild_c_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_c_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_c_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_c_options=/nologo /DWIN32 /MD /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_Rio_sh_8
  SET obuild_c_debug_local=%obuild_c_debug%
  GOTO end_if_db_build_lib_osc_Rio_sh_8
:else_if_db_build_lib_osc_Rio_sh_8
  SET obuild_c_debug_local=
:end_if_db_build_lib_osc_Rio_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_Rio_sh_9
  SET obuild_c_optimize_local=%obuild_c_optimize%
  GOTO end_if_opt_build_lib_osc_Rio_sh_9
:else_if_opt_build_lib_osc_Rio_sh_9
  SET obuild_c_optimize_local=
:end_if_opt_build_lib_osc_Rio_sh_9

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_command=cl.exe
:end_if_platform_11
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_optimize=/O2
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_17
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_Rio_sh_18
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_osc_Rio_sh_18
:else_if_db_build_lib_osc_Rio_sh_18
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_osc_Rio_sh_18

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_Rio_sh_19
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_osc_Rio_sh_19
:else_if_opt_build_lib_osc_Rio_sh_19
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_osc_Rio_sh_19



SET obuild_c_includes=/I"%obuild_Rio_path%"
SET obuild_c_includes=%obuild_c_includes% /I"%obuild_Rio_path%\Rio\zip"

SET obuild_cxx_includes=/I"%obuild_Rio_path%"

IF EXIST "%obuild_Rio_path%\%obuild_dir_bin%\lib_osc_Rio" RMDIR /S /Q "%obuild_Rio_path%\%obuild_dir_bin%\lib_osc_Rio"
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\lib_osc_Rio" MKDIR "%obuild_Rio_path%\%obuild_dir_bin%\lib_osc_Rio"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\deflate.obj "..\source\zip\deflate.c" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\inflate.obj "..\source\zip\inflate.c" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\Trees.obj "..\source\zip\Trees.c" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\ZDeflate.obj "..\source\zip\ZDeflate.c" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\ZInflate.obj "..\source\zip\ZInflate.c" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\adler32.obj "..\source\zip\adler32.c" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\compress.obj "..\source\zip\compress.c" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\crc32.obj "..\source\zip\crc32.c" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\gzio.obj "..\source\zip\gzio.c" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\infback.obj "..\source\zip\infback.c" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\inffast.obj "..\source\zip\inffast.c" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\inftrees.obj "..\source\zip\inftrees.c" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\uncompr.obj "..\source\zip\uncompr.c" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_Rio\zutil.obj "..\source\zip\zutil.c" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\smanip.obj  /Tp"..\source\Core\smanip.cxx" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Debug.obj  /Tp"..\source\Core\Debug.cxx" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Lib.obj  /Tp"..\source\Core\Lib.cxx" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Printer.obj  /Tp"..\source\Core\Printer.cxx" 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Date.obj  /Tp"..\source\Core\Date.cxx" 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Args.obj  /Tp"..\source\Core\Args.cxx" 1> exe_error_19
@IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_19
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Map.obj  /Tp"..\source\Core\Map.cxx" 1> exe_error_20
@IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_20
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Buffer.obj  /Tp"..\source\Core\Buffer.cxx" 1> exe_error_21
@IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_21
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Key.obj  /Tp"..\source\Core\Key.cxx" 1> exe_error_22
@IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_22
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Meta.obj  /Tp"..\source\Core\Meta.cxx" 1> exe_error_23
@IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_23
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\FreeSegment.obj  /Tp"..\source\Core\FreeSegment.cxx" 1> exe_error_24
@IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_24
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\BaseClass.obj  /Tp"..\source\Core\BaseClass.cxx" 1> exe_error_25
@IF ERRORLEVEL 1 @TYPE exe_error_25 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_25
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Object.obj  /Tp"..\source\Core\Object.cxx" 1> exe_error_26
@IF ERRORLEVEL 1 @TYPE exe_error_26 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_26
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Named.obj  /Tp"..\source\Core\Named.cxx" 1> exe_error_27
@IF ERRORLEVEL 1 @TYPE exe_error_27 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_27
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\List.obj  /Tp"..\source\Core\List.cxx" 1> exe_error_28
@IF ERRORLEVEL 1 @TYPE exe_error_28 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_28
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\ObjArray.obj  /Tp"..\source\Core\ObjArray.cxx" 1> exe_error_29
@IF ERRORLEVEL 1 @TYPE exe_error_29 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_29
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\StreamerElement.obj  /Tp"..\source\Core\StreamerElement.cxx" 1> exe_error_30
@IF ERRORLEVEL 1 @TYPE exe_error_30 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_30
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\StreamerInfo.obj  /Tp"..\source\Core\StreamerInfo.cxx" 1> exe_error_31
@IF ERRORLEVEL 1 @TYPE exe_error_31 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_31
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Directory.obj  /Tp"..\source\Core\Directory.cxx" 1> exe_error_32
@IF ERRORLEVEL 1 @TYPE exe_error_32 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_32
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\File.obj  /Tp"..\source\Core\File.cxx" 1> exe_error_33
@IF ERRORLEVEL 1 @TYPE exe_error_33 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_33
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Array.obj  /Tp"..\source\Core\Array.cxx" 1> exe_error_34
@IF ERRORLEVEL 1 @TYPE exe_error_34 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_34
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Arrays.obj  /Tp"..\source\Core\Arrays.cxx" 1> exe_error_35
@IF ERRORLEVEL 1 @TYPE exe_error_35 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_35
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\CoreDictionary.obj  /Tp"..\source\Core\CoreDictionary.cxx" 1> exe_error_36
@IF ERRORLEVEL 1 @TYPE exe_error_36 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_36
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\AttLine.obj  /Tp"..\source\Graf\AttLine.cxx" 1> exe_error_37
@IF ERRORLEVEL 1 @TYPE exe_error_37 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_37
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\AttFill.obj  /Tp"..\source\Graf\AttFill.cxx" 1> exe_error_38
@IF ERRORLEVEL 1 @TYPE exe_error_38 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_38
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\AttMarker.obj  /Tp"..\source\Graf\AttMarker.cxx" 1> exe_error_39
@IF ERRORLEVEL 1 @TYPE exe_error_39 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_39
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\GrafDictionary.obj  /Tp"..\source\Graf\GrafDictionary.cxx" 1> exe_error_40
@IF ERRORLEVEL 1 @TYPE exe_error_40 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_40
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\BaseLeaf.obj  /Tp"..\source\Tree\BaseLeaf.cxx" 1> exe_error_41
@IF ERRORLEVEL 1 @TYPE exe_error_41 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_41
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Leaf.obj  /Tp"..\source\Tree\Leaf.cxx" 1> exe_error_42
@IF ERRORLEVEL 1 @TYPE exe_error_42 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_42
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\LeafObject.obj  /Tp"..\source\Tree\LeafObject.cxx" 1> exe_error_43
@IF ERRORLEVEL 1 @TYPE exe_error_43 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_43
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\LeafString.obj  /Tp"..\source\Tree\LeafString.cxx" 1> exe_error_44
@IF ERRORLEVEL 1 @TYPE exe_error_44 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_44
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\LeafElement.obj  /Tp"..\source\Tree\LeafElement.cxx" 1> exe_error_45
@IF ERRORLEVEL 1 @TYPE exe_error_45 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_45
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Basket.obj  /Tp"..\source\Tree\Basket.cxx" 1> exe_error_46
@IF ERRORLEVEL 1 @TYPE exe_error_46 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_46
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Branch.obj  /Tp"..\source\Tree\Branch.cxx" 1> exe_error_47
@IF ERRORLEVEL 1 @TYPE exe_error_47 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_47
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\BranchObject.obj  /Tp"..\source\Tree\BranchObject.cxx" 1> exe_error_48
@IF ERRORLEVEL 1 @TYPE exe_error_48 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_48
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\BranchElement.obj  /Tp"..\source\Tree\BranchElement.cxx" 1> exe_error_49
@IF ERRORLEVEL 1 @TYPE exe_error_49 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_49
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\Tree.obj  /Tp"..\source\Tree\Tree.cxx" 1> exe_error_50
@IF ERRORLEVEL 1 @TYPE exe_error_50 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_50
cd "%obuild_Rio_path%\obuild"

cd "%obuild_Rio_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Rio\TreeDictionary.obj  /Tp"..\source\Tree\TreeDictionary.cxx" 1> exe_error_51
@IF ERRORLEVEL 1 @TYPE exe_error_51 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_51
cd "%obuild_Rio_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_79
SET obuild_cxx_linker_command=link.exe
:end_if_platform_79
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_81
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_81
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_83
SET obuild_cxx_linker_options=/nologo
:end_if_platform_83
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_Rio_sh_84
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_osc_Rio_sh_84
:else_if_db_build_lib_osc_Rio_sh_84
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_osc_Rio_sh_84

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_Rio_sh_85
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_osc_Rio_sh_85
:else_if_opt_build_lib_osc_Rio_sh_85
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_osc_Rio_sh_85

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Rio_0=%%d
cd "%obuild_Rio_path%\%obuild_dir_bin%"
IF EXIST .\lib_osc_Rio\tmp_objs DEL .\lib_osc_Rio\tmp_objs
FOR %%f IN (.\lib_osc_Rio\*.obj) DO ECHO %%f >> .\lib_osc_Rio\tmp_objs

REM # Create the archive library osc_Rio :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_osc_Rio\osc_Rio.arc @.\lib_osc_Rio\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_Rio_path%\obuild\cpp\obuild_windef.c" 1> exe_error_52
@IF ERRORLEVEL 1 @TYPE exe_error_52 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_52
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_osc_Rio\tmp .\lib_osc_Rio\osc_Rio.arc 1> exe_error_53
@IF ERRORLEVEL 1 @TYPE exe_error_53 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_53
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe osc_Rio < .\lib_osc_Rio\tmp > .\lib_osc_Rio\osc_Rio.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\osc_Rio.lib /def:.\lib_osc_Rio\osc_Rio.def 1> exe_error_54
@IF ERRORLEVEL 1 @TYPE exe_error_54 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_54
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\osc_Rio.dll DEL .\osc_Rio.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\osc_Rio.dll .\osc_Rio.exp .\lib_osc_Rio\osc_Rio.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_Rio_0%"
SET obuild_pwd_Rio_0=
REM # Some cleanup :
IF EXIST "%obuild_Rio_path%\%obuild_dir_bin%\lib_osc_Rio\tmp_objs" DEL "%obuild_Rio_path%\%obuild_dir_bin%\lib_osc_Rio\tmp_objs"
IF EXIST "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.exp" DEL "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.exp"

:obuild_return
ENDLOCAL
@ECHO ON
