#ifndef SoOrthoCamera_h
#define SoOrthoCamera_h

// Inheritance :
#include <Inventor/nodes/SoOrthographicCamera.h>

class SoOrthoCamera : public SoOrthographicCamera {
  SO_NODE_HEADER(SoOrthoCamera);
public:
  SoOrthoCamera();
public:
  SoSFFloat left;
  SoSFFloat right;
  SoSFFloat bottom;
  SoSFFloat top;
protected:
  virtual ~SoOrthoCamera();
public:/*SoINTERNAL*/ 
  static void initClass();
public: /*SoEXTENDER*/ 
  virtual void scaleHeight(float scalefactor);
  virtual SbViewVolume getViewVolume(float useaspectratio = 0.0F) const;
protected:
  virtual void viewBoundingBox(const SbBox3f&,float,float);  
};

#endif
