@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package SoSDL with version v1r3p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_SoSDL_WILD
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_SoSDL_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_SoSDL_path=%obuild_SoSDL_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%" MKDIR "%obuild_SoSDL_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%" MKDIR "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_SoSDL_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_SoSDL_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_objc_command=obuild_no_objc_compiler
:end_if_platform_3
SET obuild_platform_result=
IF "%obuild_objc_command%" == ""  ECHO Variable obuild_objc_command not defined.  && GOTO obuild_return

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_SoSDL_WILD_sh_4
  SET obuild_objc_debug_local=%obuild_objc_debug%
  GOTO end_if_db_build_app_SoSDL_WILD_sh_4
:else_if_db_build_app_SoSDL_WILD_sh_4
  SET obuild_objc_debug_local=
:end_if_db_build_app_SoSDL_WILD_sh_4

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_SoSDL_WILD_sh_5
  SET obuild_objc_optimize_local=%obuild_objc_optimize%
  GOTO end_if_opt_build_app_SoSDL_WILD_sh_5
:else_if_opt_build_app_SoSDL_WILD_sh_5
  SET obuild_objc_optimize_local=
:end_if_opt_build_app_SoSDL_WILD_sh_5

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_command=cl.exe
:end_if_platform_7
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_optimize=/O2
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_11
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_13
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_SoSDL_WILD_sh_14
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_SoSDL_WILD_sh_14
:else_if_db_build_app_SoSDL_WILD_sh_14
  SET obuild_cxx_debug_local=
:end_if_db_build_app_SoSDL_WILD_sh_14

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_SoSDL_WILD_sh_15
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_SoSDL_WILD_sh_15
:else_if_opt_build_app_SoSDL_WILD_sh_15
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_SoSDL_WILD_sh_15



SET obuild_cxx_includes=/I"%obuild_SoSDL_path%\include"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET obuild_cxx_includes=%obuild_cxx_includes% /I%SDL_home%\include
:end_if_platform_19
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_SoSDL_path%\applications"

IF EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD" RMDIR /S /Q "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD"
IF NOT EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD" MKDIR "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_SoSDL_WILD\WILD.obj  /Tp"..\applications\WILD.cpp" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_SoSDL_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_cxx_linker_command=link.exe
:end_if_platform_24
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_26
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
SET obuild_cxx_linker_options=/nologo
:end_if_platform_28
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_SoSDL_WILD_sh_29
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_SoSDL_WILD_sh_29
:else_if_db_build_app_SoSDL_WILD_sh_29
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_SoSDL_WILD_sh_29

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_SoSDL_WILD_sh_30
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_SoSDL_WILD_sh_30
:else_if_opt_build_app_SoSDL_WILD_sh_30
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_SoSDL_WILD_sh_30

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
SET obuild_cxx_linker_options=%obuild_cxx_linker_options% /subsystem:windows
:end_if_platform_31
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET obuild_linked_libraries=%SDL_home%\lib\SDL.lib
:end_if_platform_33
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET obuild_linked_libraries=%obuild_linked_libraries% %SDL_home%\lib\SDLmain.lib
:end_if_platform_35
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
SET obuild_linked_libraries=%obuild_linked_libraries% wsock32.lib
:end_if_platform_37
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_SoSDL_0=%%d
cd "%obuild_SoSDL_path%\%obuild_dir_bin%"
IF EXIST .\app_SoSDL_WILD\tmp_objs DEL .\app_SoSDL_WILD\tmp_objs
FOR %%f IN (.\app_SoSDL_WILD\*.obj) DO ECHO %%f >> .\app_SoSDL_WILD\tmp_objs
REM # Link SoSDL_WILD :
IF EXIST .\SoSDL_WILD.exe DEL .\SoSDL_WILD.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\SoSDL_WILD.exe @.\app_SoSDL_WILD\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_SoSDL_0%"
SET obuild_pwd_SoSDL_0=
REM # Some cleanup :
IF EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD\tmp_objs" DEL "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD\tmp_objs"
IF EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\SoSDL_WILD.ilk" DEL "%obuild_SoSDL_path%\%obuild_dir_bin%\SoSDL_WILD.ilk"
IF EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\SoSDL_WILD.pdb" DEL "%obuild_SoSDL_path%\%obuild_dir_bin%\SoSDL_WILD.pdb"
IF EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD\tmp_objs" DEL "%obuild_SoSDL_path%\%obuild_dir_bin%\app_SoSDL_WILD\tmp_objs"
IF EXIST "%obuild_SoSDL_path%\%obuild_dir_bin%\SoSDL_WILD.exp" DEL "%obuild_SoSDL_path%\%obuild_dir_bin%\SoSDL_WILD.exp"

:obuild_return
ENDLOCAL
@ECHO ON
