#ifndef Lib_Printer_h
#define Lib_Printer_h

#include <Slash/Core/IWriter.h>

namespace Lib {

class Printer : public virtual Slash::Core::IWriter {
public: //Lib::Slash::Core::IWriter
  virtual bool write(const std::string&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
  virtual bool flush();
public:
  Printer();
  Printer(const Printer&);
  virtual ~Printer();
  Printer& operator =(const Printer&);
};

}

#endif
