@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version @@obuild_version@@
REM # for the package @@package@@ with version @@version@@.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build
REM # or :
REM #   DOS> call DOS\build.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET @@path_variable@@=%~dp0
REM # Remove ending \obuild\DOS\
SET @@path_variable@@=%@@path_variable@@:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no

SET obuild_group=main

SET obuild_args=

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   build [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -* : passed to packages build script.
  ECHO
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SET obuild_args=%obuild_args% -v
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  ECHO ON
  SET obuild_args=%obuild_args% -x
  SHIFT
  GOTO next_arg
:end_if_x

IF NOT "%1%" == "-group" GOTO end_if_group
  SET obuild_args=%obuild_args% %1%
  SHIFT
  SET obuild_args=%obuild_args% %1%
  SET obuild_group=%1%
  SHIFT
  GOTO next_arg
:end_if_group

SET obuild_args=%obuild_args% %1%
SHIFT
GOTO next_arg

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////


