@ECHO off
SETLOCAL

SET EXA=%1%

REM ECHO %EXA%

IF "%EXA%" == "" (
  ECHO Give the name of a program to build.
  ECHO For example :
  ECHO   build_one g4_jour4e_plotHisto
  GOTO obuild_return
)

REM ECHO %EXA%

CL.exe 1> NUL 2> NUL
IF ERRORLEVEL 1 (
  ECHO CL.exe program not found. You have to setup VisualC++ environment.
  GOTO obuild_return
)

FOR /F "usebackq delims=;" %%s IN (`oroot-config --incs`) DO SET oroot_incs=%%s
FOR /F "usebackq delims=;" %%s IN (`oroot-config --libs`) DO SET oroot_libs=%%s
FOR /F "usebackq delims=;" %%s IN (`aida-config --libs`) DO SET aida_libs=%%s

SET flags=/nologo /DWIN32 /MD /O2 /W3  /GX /GR 

IF EXIST %EXA%.obj DEL %EXA%.obj
CL.exe %flags% /c %oroot_incs% /Fo%EXA%.obj /Tp%EXA%.cpp 1> cl_exe_error
IF ERRORLEVEL 1 TYPE cl_exe_error && GOTO obuild_return
IF NOT ERRORLEVEL 1 DEL cl_exe_error 

LINK.exe /nologo /OPT:NOREF /out:oroot_example_%EXA%.exe %EXA%.obj %oroot_libs% %aida_libs% 1> link_exe_error
IF ERRORLEVEL 1 TYPE link_exe_error && GOTO obuild_return
IF NOT ERRORLEVEL 1 DEL link_exe_error 

IF EXIST %EXA%.obj DEL %EXA%.obj

:obuild_return
ENDLOCAL
@ECHO on
