
#include <oroot/TROOT.h>
#include <oroot/TSystem.h>

#include <oroot/internal/mem.h>

#include <iostream>

#define HEAD
#include "plotHisto.C"
#undef HEAD

int main(int argc,char** argv) {

  oroot::mem::check_class(true);

 {// begin main block :

  TROOT::initialize(argc,argv,std::cout);

#include "plotHisto.C"

  gSystem->Run();

  TROOT::finalize();

  } //end main block.

  oroot::mem::balance(std::cout);

  return 0;
}  
