#ifndef steve_util_file_reader_h
#define steve_util_file_reader_h

//#include <Slash/Core/IReader.h>

#include <string>
#include <ostream>

namespace steve{ namespace util{

//class file_reader : public virtual Slash::Core::IReader {
class file_reader {
public: //Slash::Core::IReader
  virtual bool read(void*,unsigned int,int&);
  virtual bool read(void*,unsigned int,std::string&);
  virtual bool sread(void*,unsigned int,unsigned int&);
  virtual bool rewind(); 
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  file_reader(const std::string&,std::ostream&);
  file_reader(void*,std::ostream&);
  virtual ~file_reader();
private:
  file_reader(const file_reader&);
  file_reader& operator=(const file_reader&);
private:
  std::ostream& m_out;
  std::string m_file_name;
  void* m_FILE;
  bool m_Owner;
};

}}

#endif
