// this :
#include "schemas.h"

namespace exa {
namespace schema {
schema_imp(event)
}}

/////////////////////////////////////
/// offsets and numbers /////////////
/////////////////////////////////////
schema_nos_method(exa::schema::event,track_m_hits)
schema_nos_method(exa::schema::event,event_m_tracks)
schema_nos_method(exa::schema::event,event_m_tracks_refs)
/////////////////////////////////////
/// data ////////////////////////////
/////////////////////////////////////
schema_data_method(exa::schema::event,hit_m_x)
schema_data_method(exa::schema::event,hit_m_y)
schema_data_method(exa::schema::event,hit_m_z)
schema_data_method(exa::schema::event,hit_m_track)
schema_data_method(exa::schema::event,track_m_px)
schema_data_method(exa::schema::event,track_m_py)
schema_data_method(exa::schema::event,track_m_pz)
schema_data_method(exa::schema::event,event_m_id);
schema_data_method(exa::schema::event,event_m_energy);
schema_data_method(exa::schema::event,event_m_tracks_refs);

namespace exa {
namespace schema {
schema_constructor(event) {
  /////////////////////////////////////
  /// offsets /////////////////////////
  /////////////////////////////////////
  schema_offsets_new(track_m_hits)
  schema_offsets_new(event_m_tracks)
  schema_offsets_new(event_m_tracks_refs)
  /////////////////////////////////////
  /// path_os /////////////////////////
  /////////////////////////////////////
  steve::path_os_t path_m_tracks = a_head;
  path_m_tracks.push_back(m_steve_offsets_event_m_tracks);

  steve::path_os_t path_m_tracks_refs = a_head;
  path_m_tracks_refs.push_back(m_steve_offsets_event_m_tracks_refs);

  steve::path_os_t path_m_tracks_m_hits = a_head;
  path_m_tracks_m_hits.push_back(m_steve_offsets_event_m_tracks);
  path_m_tracks_m_hits.push_back(m_steve_offsets_track_m_hits);

  steve::path_os_t path_this = a_head;

  /////////////////////////////////////
  /// numbers /////////////////////////
  /////////////////////////////////////
  schema_numbers_new(path_m_tracks,event_m_tracks)
  schema_numbers_new(path_m_tracks_refs,event_m_tracks_refs)
  schema_numbers_new(path_m_tracks_m_hits,track_m_hits)
  /////////////////////////////////////
  /// data ////////////////////////////
  /////////////////////////////////////
  schema_data_new(path_m_tracks_m_hits,hit_m_x,steve_id_double)
  schema_data_new(path_m_tracks_m_hits,hit_m_y,steve_id_double)
  schema_data_new(path_m_tracks_m_hits,hit_m_z,steve_id_double)
  schema_data_new(path_m_tracks_m_hits,hit_m_track,steve_id_ref)
  schema_data_new(path_m_tracks,track_m_px,steve_id_double)
  schema_data_new(path_m_tracks,track_m_py,steve_id_double)
  schema_data_new(path_m_tracks,track_m_pz,steve_id_double)
  schema_data_new(path_this,event_m_id,steve_id_uint32);
  schema_data_new(path_this,event_m_energy,steve_id_float);
  schema_data_new(path_m_tracks_refs,event_m_tracks_refs,steve_id_ref);
}
}}
/////////////////////////////////////
/// header //////////////////////////
/////////////////////////////////////

namespace exa {
namespace schema {
schema_imp(header)
}}

/////////////////////////////////////
/// offsets and numbers /////////////
/////////////////////////////////////
/////////////////////////////////////
/// data ////////////////////////////
/////////////////////////////////////
schema_data_method(exa::schema::header,header_m_number_of_events)

namespace exa {
namespace schema {
schema_constructor(header) {
  /////////////////////////////////////
  /// offsets /////////////////////////
  /////////////////////////////////////
  /////////////////////////////////////
  /// path_os /////////////////////////
  /////////////////////////////////////
  steve::path_os_t path_this = a_head;

  /////////////////////////////////////
  /// numbers /////////////////////////
  /////////////////////////////////////
  /////////////////////////////////////
  /// data ////////////////////////////
  /////////////////////////////////////
  schema_data_new(path_this,header_m_number_of_events,steve_id_uint32)
}
}}

