#ifndef exa_schemas_h
#define exa_schemas_h

// inheritance :
#include <steve/core/base_schema.h>

#include <steve/schema.h> //cpp macros helpers.

namespace exa {
namespace schema {

class event : public steve::core::base_schema {
  schema_header(event)
public:
  /////////////////////////////////////
  /// offsets and numbers /////////////
  /////////////////////////////////////
  schema_nos_header(track_m_hits)
  schema_nos_header(event_m_tracks)
  schema_nos_header(event_m_tracks_refs)
  /////////////////////////////////////
  /// data ////////////////////////////
  /////////////////////////////////////
  schema_data_header(hit_m_x)
  schema_data_header(hit_m_y)
  schema_data_header(hit_m_z)
  schema_data_header(hit_m_track)
  schema_data_header(track_m_px)
  schema_data_header(track_m_py)
  schema_data_header(track_m_pz)
  schema_data_header(event_m_id)
  schema_data_header(event_m_energy)
  schema_data_header(event_m_tracks)
  schema_data_header(event_m_tracks_refs)
};

class header : public steve::core::base_schema {
  schema_header(header)
public:
  /////////////////////////////////////
  /// offsets and numbers /////////////
  /////////////////////////////////////
  /////////////////////////////////////
  /// data ////////////////////////////
  /////////////////////////////////////
  schema_data_header(header_m_number_of_events)
};

}}

#endif
