// this :
#include <util/schemas.h>

/////////////////////////////////////
/// axis ////////////////////////////
/////////////////////////////////////

namespace exa {
namespace schema {
  schema_imp(axis)
}}

/////////////////////////////////////
/// offsets and numbers /////////////
/////////////////////////////////////
schema_nos_method(exa::schema::axis,m_edges)
/////////////////////////////////////
/// data ////////////////////////////
/////////////////////////////////////
schema_data_method(exa::schema::axis,m_offset)
schema_data_method(exa::schema::axis,m_number_of_bins)
schema_data_method(exa::schema::axis,m_minimum_value)
schema_data_method(exa::schema::axis,m_maximum_value)
schema_data_method(exa::schema::axis,m_fixed)
schema_data_method(exa::schema::axis,m_bin_width)
// axis std::vector fields :
schema_data_method(exa::schema::axis,m_edges)

namespace exa {
namespace schema {
schema_constructor(axis) {
  /////////////////////////////////////
  /// offsets /////////////////////////
  /////////////////////////////////////
  schema_offsets_new(m_edges)

  /////////////////////////////////////
  /// path_os /////////////////////////
  /////////////////////////////////////

  // axis std::vector fields :
  steve::path_os_t path_m_edges = a_head;
  path_m_edges.push_back(m_steve_offsets_m_edges);

  /////////////////////////////////////
  /// numbers /////////////////////////
  /////////////////////////////////////
  schema_numbers_new(path_m_edges,m_edges)
  /////////////////////////////////////
  /// data ////////////////////////////
  /////////////////////////////////////
  // axis not array fields :
  schema_data_new(a_head,m_offset,steve_id_int32)
  schema_data_new(a_head,m_number_of_bins,steve_id_int32)
  schema_data_new(a_head,m_minimum_value,steve_id_double)
  schema_data_new(a_head,m_maximum_value,steve_id_double)
  schema_data_new(a_head,m_fixed,steve_id_bool)
  schema_data_new(a_head,m_bin_width,steve_id_double)
  // axis std::vector fields :
  schema_data_new(path_m_edges,m_edges,steve_id_double)
}}}

/////////////////////////////////////
/// histogram ///////////////////////
/////////////////////////////////////

namespace exa {
namespace schema {
  schema_imp(histogram)
}}

/////////////////////////////////////
/// offsets and numbers /////////////
/////////////////////////////////////
// histogram_data std::vector fields :
schema_nos_method(exa::schema::histogram,m_bin_entries)
schema_nos_method(exa::schema::histogram,m_bin_Sw)
schema_nos_method(exa::schema::histogram,m_bin_Sw2)
schema_nos_method(exa::schema::histogram,m_bin_Sxw)
schema_nos_method(exa::schema::histogram,m_bin_Sx2w)
schema_nos_method(exa::schema::histogram,m_bin_Svw)
schema_nos_method(exa::schema::histogram,m_bin_Sv2w)
schema_nos_method(exa::schema::histogram,m_doubles)
schema_nos_method(exa::schema::histogram,m_ints)
// histogram_data array fields :
schema_nos_method(exa::schema::histogram,m_axes)
/////////////////////////////////////
/// data ////////////////////////////
/////////////////////////////////////
// histogram_data not array fields :
schema_data_method(exa::schema::histogram,m_title)
schema_data_method(exa::schema::histogram,m_dimension)
schema_data_method(exa::schema::histogram,m_bin_number)
schema_data_method(exa::schema::histogram,m_is_profile)
schema_data_method(exa::schema::histogram,m_cut_v)
schema_data_method(exa::schema::histogram,m_min_v)
schema_data_method(exa::schema::histogram,m_max_v)
// histogram_data std::vector fields :
schema_data_method(exa::schema::histogram,m_bin_entries)
schema_data_method(exa::schema::histogram,m_bin_Sw)
schema_data_method(exa::schema::histogram,m_bin_Sw2)
schema_data_method(exa::schema::histogram,m_bin_Sxw)
schema_data_method(exa::schema::histogram,m_bin_Sx2w)
schema_data_method(exa::schema::histogram,m_bin_Svw)
schema_data_method(exa::schema::histogram,m_bin_Sv2w)
schema_data_method(exa::schema::histogram,m_doubles)
schema_data_method(exa::schema::histogram,m_ints)

exa::schema::axis* exa::schema::histogram::schema_m_axes() const { 
 return m_schema_m_axes;
}

namespace exa {
namespace schema {
schema_constructor(histogram) {
  /////////////////////////////////////
  /// offsets /////////////////////////
  /////////////////////////////////////
  // histogram_data std::vector fields :
  schema_offsets_new(m_bin_entries)
  schema_offsets_new(m_bin_Sw)
  schema_offsets_new(m_bin_Sw2)
  schema_offsets_new(m_bin_Sxw)
  schema_offsets_new(m_bin_Sx2w)
  schema_offsets_new(m_bin_Svw)
  schema_offsets_new(m_bin_Sv2w)
  schema_offsets_new(m_doubles)
  schema_offsets_new(m_ints)
  // histogram_data array fields :
  schema_offsets_new(m_axes)

  /////////////////////////////////////
  /// path_os /////////////////////////
  /////////////////////////////////////
  // histogram std::vector fields :
  steve::path_os_t path_m_bin_entries = a_head;
  path_m_bin_entries.push_back(m_steve_offsets_m_bin_entries);
  steve::path_os_t path_m_bin_Sw = a_head;
  path_m_bin_Sw.push_back(m_steve_offsets_m_bin_Sw);
  steve::path_os_t path_m_bin_Sw2 = a_head;
  path_m_bin_Sw2.push_back(m_steve_offsets_m_bin_Sw2);
  steve::path_os_t path_m_bin_Sxw = a_head;
  path_m_bin_Sxw.push_back(m_steve_offsets_m_bin_Sxw);
  steve::path_os_t path_m_bin_Sx2w = a_head;
  path_m_bin_Sx2w.push_back(m_steve_offsets_m_bin_Sx2w);
  steve::path_os_t path_m_bin_Svw = a_head;
  path_m_bin_Svw.push_back(m_steve_offsets_m_bin_Svw);
  steve::path_os_t path_m_bin_Sv2w = a_head;
  path_m_bin_Sv2w.push_back(m_steve_offsets_m_bin_Sv2w);
  steve::path_os_t path_m_doubles = a_head;
  path_m_doubles.push_back(m_steve_offsets_m_doubles);
  steve::path_os_t path_m_ints = a_head;
  path_m_ints.push_back(m_steve_offsets_m_ints);

  // histogram_data array fields :
  steve::path_os_t path_m_axes = a_head;
  path_m_axes.push_back(m_steve_offsets_m_axes);

  /////////////////////////////////////
  /// numbers /////////////////////////
  /////////////////////////////////////
  // histogram_data std::vector fields :
  schema_numbers_new(path_m_bin_entries,m_bin_entries)
  schema_numbers_new(path_m_bin_Sw,m_bin_Sw)
  schema_numbers_new(path_m_bin_Sw2,m_bin_Sw2)
  schema_numbers_new(path_m_bin_Sxw,m_bin_Sxw)
  schema_numbers_new(path_m_bin_Sx2w,m_bin_Sx2w)
  schema_numbers_new(path_m_bin_Svw,m_bin_Svw)
  schema_numbers_new(path_m_bin_Sv2w,m_bin_Sv2w)
  schema_numbers_new(path_m_doubles,m_doubles)
  schema_numbers_new(path_m_ints,m_ints)
  // histogram_data array fields :
  schema_numbers_new(path_m_axes,m_axes)

  /////////////////////////////////////
  /// data ////////////////////////////
  /////////////////////////////////////
  // histogram_data not array fields :
  schema_data_new(a_head,m_title,steve_id_string)
  schema_data_new(a_head,m_dimension,steve_id_int32)
  schema_data_new(a_head,m_bin_number,steve_id_int32)
  schema_data_new(a_head,m_is_profile,steve_id_bool)
  schema_data_new(a_head,m_cut_v,steve_id_bool)
  schema_data_new(a_head,m_min_v,steve_id_double)
  schema_data_new(a_head,m_max_v,steve_id_double)
  // histogram_data std::vector fields :
  schema_data_new(path_m_bin_entries,m_bin_entries,steve_id_int32)
  schema_data_new(path_m_bin_Sw,m_bin_Sw,steve_id_double)
  schema_data_new(path_m_bin_Sw2,m_bin_Sw2,steve_id_double)
  schema_data_new(path_m_bin_Sxw,m_bin_Sxw,steve_id_double)
  schema_data_new(path_m_bin_Sx2w,m_bin_Sx2w,steve_id_double)
  schema_data_new(path_m_bin_Svw,m_bin_Svw,steve_id_double)
  schema_data_new(path_m_bin_Sv2w,m_bin_Sv2w,steve_id_double)
  schema_data_new(path_m_doubles,m_doubles,steve_id_double)
  schema_data_new(path_m_ints,m_ints,steve_id_int32)

 {steve::path_os_t path = a_head;
  path.push_back(m_steve_offsets_m_axes);
  m_schema_m_axes = new axis(a_printer,a_namespace+"_m_axes",path);
  add_schema(m_schema_m_axes);}

}}}
