@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package steve with version v0r1p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_steve_exa_4_HDF5_store
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_steve_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_steve_path=%obuild_steve_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%" MKDIR "%obuild_steve_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%" MKDIR "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_steve_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_steve_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_steve_exa_4_HDF5_store_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_steve_exa_4_HDF5_store_sh_8
:else_if_db_build_app_steve_exa_4_HDF5_store_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_app_steve_exa_4_HDF5_store_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_steve_exa_4_HDF5_store_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_steve_exa_4_HDF5_store_sh_9
:else_if_opt_build_app_steve_exa_4_HDF5_store_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_steve_exa_4_HDF5_store_sh_9


SET obuild_cxx_macros=%obuild_cxx_macros% /DDRIVER=HDF5

IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%" MKDIR "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_steve_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_steve_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 `) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_steve_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_steve_path%\examples"

IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store" RMDIR /S /Q "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store"
IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store" MKDIR "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\main_store.obj  /Tp"..\examples\exa_4\main_store.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\event.obj  /Tp"..\examples\exa_4\event.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\schemas.obj  /Tp"..\examples\exa_4\schemas.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\steve.obj  /Tp"..\examples\exa_4\steve.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\stream.obj  /Tp"..\examples\exa_4\stream.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\axis.obj  /Tp"..\examples\util\axis.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\histogram.obj  /Tp"..\examples\util\histogram.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_steve_exa_4_HDF5_store\util_schemas.obj  /Tp"..\examples\util\util_schemas.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_cxx_linker_command=link.exe
:end_if_platform_24
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_26
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
SET obuild_cxx_linker_options=/nologo
:end_if_platform_28
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_steve_exa_4_HDF5_store_sh_29
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_steve_exa_4_HDF5_store_sh_29
:else_if_db_build_app_steve_exa_4_HDF5_store_sh_29
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_steve_exa_4_HDF5_store_sh_29

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_steve_exa_4_HDF5_store_sh_30
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_steve_exa_4_HDF5_store_sh_30
:else_if_opt_build_app_steve_exa_4_HDF5_store_sh_30
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_steve_exa_4_HDF5_store_sh_30

SET obuild_linked_paths=/LIBPATH:"%obuild_steve_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=steve_HDF5.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HDF5_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_HDF5.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_steve_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% steve_core.lib

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF EXIST .\app_steve_exa_4_HDF5_store\tmp_objs DEL .\app_steve_exa_4_HDF5_store\tmp_objs
FOR %%f IN (.\app_steve_exa_4_HDF5_store\*.obj) DO ECHO %%f >> .\app_steve_exa_4_HDF5_store\tmp_objs
REM # Link steve_exa_4_HDF5_store :
IF EXIST .\steve_exa_4_HDF5_store.exe DEL .\steve_exa_4_HDF5_store.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\steve_exa_4_HDF5_store.exe @.\app_steve_exa_4_HDF5_store\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
REM # Some cleanup :
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store\tmp_objs" DEL "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store\tmp_objs"
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\steve_exa_4_HDF5_store.ilk" DEL "%obuild_steve_path%\%obuild_dir_bin%\steve_exa_4_HDF5_store.ilk"
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\steve_exa_4_HDF5_store.pdb" DEL "%obuild_steve_path%\%obuild_dir_bin%\steve_exa_4_HDF5_store.pdb"
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store\tmp_objs" DEL "%obuild_steve_path%\%obuild_dir_bin%\app_steve_exa_4_HDF5_store\tmp_objs"
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\steve_exa_4_HDF5_store.exp" DEL "%obuild_steve_path%\%obuild_dir_bin%\steve_exa_4_HDF5_store.exp"

:obuild_return
ENDLOCAL
@ECHO ON
