@ECHO OFF

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package steve with version v0r1p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> setup
REM # or :
REM #   DOS> setup.bat
REM # or :
REM #   DOS> call setup.bat
REM #////////////////////////////////////////////////

SET obuild_steve_path=%~dp0
REM # Remove ending \obuild\
SET obuild_steve_path=%obuild_steve_path:~0,-8%

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%" MKDIR "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_steve_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_steve_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 `) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

REM # Set environment variables of this package :

IF DEFINED PATH GOTO else_if_path_steve_0
  SET PATH=%obuild_zlib_path%\%obuild_dir_bin%
  GOTO end_if_path_steve_0
:else_if_path_steve_0
  SET PATH=%PATH%;%obuild_zlib_path%\%obuild_dir_bin%
:end_if_path_steve_0

IF DEFINED PATH GOTO else_if_path_steve_1
  SET PATH=%obuild_HDF5_path%\%obuild_dir_bin%
  GOTO end_if_path_steve_1
:else_if_path_steve_1
  SET PATH=%PATH%;%obuild_HDF5_path%\%obuild_dir_bin%
:end_if_path_steve_1

IF DEFINED PATH GOTO else_if_path_steve_2
  SET PATH=%obuild_steve_path%\%obuild_dir_bin%
  GOTO end_if_path_steve_2
:else_if_path_steve_2
  SET PATH=%PATH%;%obuild_steve_path%\%obuild_dir_bin%
:end_if_path_steve_2

:obuild_return

SET obuild_steve_path=

REM # FIXME SET obuild_dir_bin=

@ECHO ON
