// this :
#include <steve/HDF5/retrieve_pages.h>

steve::HDF5::retrieve_pages::retrieve_pages(hid_t a_id,uint32 a_page_size)
: core::retrieve_pages(a_page_size),m_id(a_id){}

steve::HDF5::retrieve_pages::~retrieve_pages() {
}

//private:
steve::HDF5::retrieve_pages::retrieve_pages(const retrieve_pages& a_from)
: core::retrieve_pages(a_from),m_id(-1){}
//private:
steve::HDF5::retrieve_pages& steve::HDF5::retrieve_pages::operator=(const retrieve_pages&) { return *this;}

void* steve::HDF5::retrieve_pages::cast_head() const {
  return (void*)static_cast<const steve::HDF5::retrieve_pages*>(this);
}

hid_t steve::HDF5::retrieve_pages::id() const {
  return m_id;
}
bool steve::HDF5::retrieve_pages::close() {
  herr_t status = H5Gclose(m_id);
  m_id = -1;
  if(status<0) return false;
  return true;
}
