// this :
#include <steve/ROOT/blob.h>

ClassImp(steve::ROOT::blob)

steve::ROOT::blob::blob()
:m_size(0)
,m_buffer(0)
{
}
steve::ROOT::blob::blob(unsigned int a_size,char* a_buffer)
:m_size(a_size)
,m_buffer(a_buffer)
{
}
steve::ROOT::blob::~blob(){
}

// private :
steve::ROOT::blob::blob(const blob&){}
steve::ROOT::blob& steve::ROOT::blob::operator=(const blob&) { return *this;}

unsigned int steve::ROOT::blob::size() const {
  return m_size;
}

char* steve::ROOT::blob::buffer() const {
  return m_buffer;
}

void steve::ROOT::blob::assign(unsigned int a_size,char* a_buffer) {
  m_size = a_size;
  m_buffer = a_buffer;
}

void steve::ROOT::blob::Streamer(TBuffer &R__b)
{
   typedef ::steve::ROOT::blob thisClass;
   UInt_t R__s, R__c;
   if (R__b.IsReading()) {
      Version_t R__v = R__b.ReadVersion(&R__s, &R__c); if (R__v) { }
      TObject::Streamer(R__b);
      R__b >> m_size;
      if(m_size) {
        m_buffer = new char[m_size];
        R__b.ReadFastArray(m_buffer,m_size);
      }
      R__b.CheckByteCount(R__s, R__c, thisClass::IsA());
   } else {
      R__c = R__b.WriteVersion(thisClass::IsA(), kTRUE);
      TObject::Streamer(R__b);
      R__b << m_size;
      if(m_size) {
        R__b.WriteFastArray(m_buffer,m_size);
      }
      R__b.SetByteCount(R__c, kTRUE);
   }
}
