// this :
#include <steve/core/offsets.h>

steve::core::offsets::offsets(
 std::ostream& a_out
,const std::string& a_name
,uint32 a_page_size
,uint32 a_compression
)
: core::store_data<uint32>(a_out,a_name,steve_id_uint32,a_page_size,a_compression)
{}
steve::core::offsets::~offsets(){}

//private:
steve::core::offsets::offsets(const offsets& a_from)
: core::store_data<uint32>(a_from)
{}
//private:
steve::core::offsets& steve::core::offsets::operator=(const offsets&) { return *this;}

steve::interface::store_data& steve::core::offsets::store_data() {
  return *this;
}

bool steve::core::offsets::add(interface::store& a_store,uint32 a_value) {
  return core::store_data<uint32>::add(a_store,a_value);
}

bool steve::core::offsets::value(interface::store& a_store,uint32 a_index,uint32& a_value) const {
  return core::store_data<uint32>::value(a_store,a_index,a_value);
}

