#ifndef steve_HDF5_retrieve_pages_h
#define steve_HDF5_retrieve_pages_h

// inheritance :
#include <steve/core/retrieve_pages.h>

#include <hdf5.h>

namespace steve {
namespace HDF5 {

class retrieve_pages : public core::retrieve_pages {
public:
  virtual void* cast_head() const;  
  virtual bool close();
public:
  retrieve_pages(hid_t a_id,uint32 a_page_size);
  virtual ~retrieve_pages();
private:
  retrieve_pages(const retrieve_pages& a_from);
  retrieve_pages& operator=(const retrieve_pages& a_from);
public:
  hid_t id() const;
private:
  hid_t m_id;
};

}}

#endif

