#ifndef steve_offsets_h
#define steve_offsets_h

// inheritance :
#include <steve/interface/offsets.h>
#include <steve/core/store_data.h>

namespace steve {
namespace core {

class offsets
:public virtual interface::offsets
,public core::store_data<uint32> {
public: //interface::offsets
  virtual bool add(interface::store& a_store,uint32 a_value);
  virtual bool value(interface::store& a_store,uint32 a_index,uint32& a_value) const;
  virtual interface::store_data& store_data();
public:
  offsets(std::ostream& a_out,
          const std::string& a_name,
          uint32 a_page_size,
          uint32 a_compression);
  virtual ~offsets();
private:
  offsets(const offsets& a_from);
  offsets& operator=(const offsets& a_from);
};

}}

#endif

