#ifndef steve_instrument_h
#define steve_instrument_h

#include <steve/typedefs.h>
#include <steve/path.h>

namespace steve {namespace interface {class store;}}
namespace steve {namespace interface {class schema;}}

#define STEVE_HEADER \
public:\
  bool store(steve::interface::store&,steve::interface::schema&) const;\
  bool retrieve(steve::interface::store&,steve::interface::schema&,\
                steve::uint32,const steve::path_t&);

#define STEVE_STREAM_HEADER \
public:\
  bool stream_out(steve::interface::streamer& a_streamer) const;\
  bool stream_in(steve::interface::streamer& a_streamer);

#endif
