#ifndef steve_interface_data_T_h
#define steve_interface_data_T_h

#include <steve/path.h>

namespace steve {namespace interface {class store;}}

namespace steve {
namespace interface {

template <class T>
class data_T {
public:
  virtual ~data_T(){}
public:
  virtual bool add(interface::store& a_store,const T& a_value) = 0;
  virtual bool add(interface::store& a_store,
                   uint32 a_size,const T* a_value) = 0;
  virtual bool find_data(interface::store& a_store,uint32 a_event,const path_t& a_is,T& a_value) = 0;
  virtual bool find_data(interface::store& a_store,uint32 a_event,const path_t& a_begin_is,uint32 a_size,T* a_values) = 0;
};

}}

#endif
