#ifndef steve_interface_file_getter_h
#define steve_interface_file_getter_h 

#include <string>
#include <vector>

namespace steve {
namespace interface {

class file_getter {
public:
  virtual ~file_getter() {}
public:
  typedef std::pair<std::string,std::string> argument_t;
  typedef std::vector<argument_t> arguments_t;
public:
  virtual bool fetch(const std::string&,const arguments_t&,std::string&) = 0;
};

}}

#endif
