#ifndef steve_interface_pages_h
#define steve_interface_pages_h

#include <steve/typedefs.h>

namespace steve {
namespace interface {

class pages {
public:
  virtual ~pages(){}
public:
  virtual void* cast_head() const = 0;
public:
  virtual uint32 number_of_pages() const = 0;
  virtual bool close() = 0;

  // for store pages only :
  virtual bool commit() = 0;
};

}}

#endif
