#ifndef BatchLab_Evaluator_h
#define BatchLab_Evaluator_h

// Inheritance :
#include <BatchLab/Core/Calculator.h>
#include <AIDA/IEvaluator.h>

namespace BatchLab {

class Evaluator 
:public Calculator
,public virtual AIDA::IEvaluator 
{
public: //AIDA/IEvaluator
  virtual bool initialize(AIDA::ITuple&);
  virtual std::string expression() const;
  virtual double evaluateDouble() const;
public:
  Evaluator(Slash::Core::IWriter&,const std::string&,AIDA::ITree&);
  virtual ~Evaluator();
private:
  Evaluator(const Evaluator&);
  Evaluator& operator=(const Evaluator&);
};

}

#endif
