
#include <BatchLab/Core/Main.h>

#include <Lib/Arguments.h>

#if (AIDA_VERSION_MAJOR<=3) && (AIDA_VERSION_MINOR<=2) 

extern "C" {
AIDA::IAnalysisFactory* AIDA_createAnalysisFactory(){
  return new BatchLab::Main(std::vector<std::string>());
}
}

#else

extern "C" {
AIDA::IAnalysisFactory* AIDA_createAnalysisFactory(const std::string& aOptions){
  Lib::Arguments args(aOptions,";",true);
  return new BatchLab::Main(args.tovector());
}
}

#endif

extern "C" {
Slash::AIDA::IAnalysisFactory* Slash_AIDA_createAnalysisFactory(const std::string& aOptions){
  Lib::Arguments args(aOptions,";",true);
  return new BatchLab::Main(args.tovector());
}
}

