#ifndef G4Lab_ParticleAccessor_h
#define G4Lab_ParticleAccessor_h

// Inheritance :
#include <Lib/BaseAccessor.h>

namespace Slash {namespace Core {class ISession;}}

class G4ParticleDefinition;

namespace G4Lab {

class ParticleAccessor : public Lib::BaseAccessor {
public: //Slash::Data::IAccessor
  virtual void* cast(const std::string& aClass) const;
  virtual std::string name() const;
  virtual Slash::Data::IIterator* iterator();
  virtual Slash::Core::IValue* findValue(Slash::Data::IAccessor::Data,const std::string&,void*);
public:
  static std::string accessor_name();
public:
  ParticleAccessor(Slash::Core::ISession&);
  virtual ~ParticleAccessor();
private:
  bool buildDefs();
private:
  Slash::Core::ISession& fSession;
  std::string fType;
  std::vector<G4ParticleDefinition*> fDefs;
};

}

#endif
