#ifndef DetectorConstruction_h
#define DetectorConstruction_h 1

// inheritance :
#include "G4VUserDetectorConstruction.hh"

class G4UserLimits;
class MagneticField;

class DetectorConstruction : public G4VUserDetectorConstruction {
public: //G4VUserDetectorConstruction
  virtual G4VPhysicalVolume* Construct();
public:
  DetectorConstruction();
  virtual ~DetectorConstruction();
private:
  G4UserLimits* stepLimit;             // pointer to user step limits
  MagneticField* fpMagField;   // pointer to the magnetic field 
};

#endif
