#ifndef PhysicsList_h
#define PhysicsList_h 1

// inheritance :
#include "G4VUserPhysicsList.hh"

class PhysicsList: public G4VUserPhysicsList {
protected: //G4VUserPhysicsList
  virtual void ConstructParticle();
  virtual void ConstructProcess();
  virtual void SetCuts();
public:
  PhysicsList();
  virtual ~PhysicsList();
private:
  void ConstructBosons();
  void ConstructLeptons();
  void ConstructMesons();
  void ConstructBaryons();
  void ConstructGeneral();
  void ConstructEM();
};

#endif

 
