#ifndef G4LabTemplateTwo_Analysis_h
#define G4LabTemplateTwo_Analysis_h

// Inheritance :
#include <G4LabTemplateTwo/IAnalysis.h>

namespace AIDA {
 class IAnalysisFactory;
 class ITree;
}

namespace G4LabTemplateTwo {

class Analysis  : public virtual IAnalysis {
  public: //IAnalysis
    virtual void closeTree();         
  public:        
    Analysis(AIDA::IAnalysisFactory&,bool aBatch = true);
    virtual ~Analysis();

    //Get tree pointer
    AIDA::ITree* tree() const {return fTree;}

  private:
    AIDA::IAnalysisFactory& fAIDA;
    bool fBatch;
    AIDA::ITree* fTree;
};

}

#endif
