#ifndef G4LabTemplateTwo_StepLimiterBuilder_h
#define G4LabTemplateTwo_StepLimiterBuilder_h 1

//Inheritance :
#include <G4VPhysicsConstructor.hh>

class StepLimiterBuilder : public G4VPhysicsConstructor
{
public:
  StepLimiterBuilder(const G4String& name = "stepLimiter");
  virtual ~StepLimiterBuilder();

public:
  // This method is dummy for physics
  virtual void ConstructParticle();

  // This method will be invoked in the Construct() method.
  // each physics process will be instantiated and
  // registered to the process manager of each particle type
  virtual void ConstructProcess();

private:

   // hide assignment operator
  StepLimiterBuilder & operator=(const StepLimiterBuilder &right);
  StepLimiterBuilder(const StepLimiterBuilder&);

};

#endif








