//This
#include "G4LabTemplateTwo/StepLimiterMessenger.h"

//Geant4
#include <G4UIcmdWithAnInteger.hh>

//G4LabTemplateTwo
#include "G4LabTemplateTwo/SpecialCuts.h"

StepLimiterMessenger::StepLimiterMessenger(G4LabTemplateTwo::SpecialCuts* stepM)
:stepLimiter(stepM)
{
  /*
    stepMaxCmd = new G4UIcmdWithADoubleAndUnit("/testem/stepMax",this);
    stepMaxCmd->SetGuidance("Set max allowed step length for the default region");
    stepMaxCmd->SetParameterName("mxStep",false);
    stepMaxCmd->SetRange("mxStep>0.");
    stepMaxCmd->SetUnitCategory("Length");
    stepMaxCmd->AvailableForStates(G4State_PreInit,G4State_Idle);
  */
  verbCmd = new G4UIcmdWithAnInteger("/limiter/verbose",this);  
  verbCmd->SetGuidance("Set verbose level for processes");
  verbCmd->SetParameterName("pVerb",false);
  verbCmd->AvailableForStates(G4State_PreInit,G4State_Idle);
}

StepLimiterMessenger::~StepLimiterMessenger()
{
  //  delete stepMaxCmd;
  delete verbCmd;
}

void StepLimiterMessenger::SetNewValue(G4UIcommand* command, G4String newValue)
{
  /*
    if (command == stepMaxCmd)
    { stepLimiter->SetMaxStep(stepMaxCmd->GetNewDoubleValue(newValue));}
  */
  if (command == verbCmd) {
    stepLimiter->SetVerbose(verbCmd->GetNewIntValue(newValue));
  }
  
}

