@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package HEPVis with version v6r15p3.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_HEPVis_test_freetype
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_HEPVis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_HEPVis_path=%obuild_HEPVis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_HEPVis_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.4.2
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Qt_moc=%Qt_home%\bin\moc
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET curl_home=C:\usr\local\curl\7.15.1
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_9
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET Python_version=25
:end_if_platform_11
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_command=cl.exe
:end_if_platform_13
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_optimize=/O2
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_17
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_19
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_HEPVis_test_freetype_sh_20
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_HEPVis_test_freetype_sh_20
:else_if_db_build_app_HEPVis_test_freetype_sh_20
  SET obuild_cxx_debug_local=
:end_if_db_build_app_HEPVis_test_freetype_sh_20

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_HEPVis_test_freetype_sh_21
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_HEPVis_test_freetype_sh_21
:else_if_opt_build_app_HEPVis_test_freetype_sh_21
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_HEPVis_test_freetype_sh_21


SET obuild_cxx_macros=%obuild_cxx_macros% /DHEPVIS_HAS_TTF2

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_HEPVis_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 `) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 `) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 `) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_freetype2_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_freetype2_path%\include\freetype"

IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype" RMDIR /S /Q "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_HEPVis_test_freetype\HEPVis_test_freetype.obj  /Tp"..\tests\HEPVis_test_freetype.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_HEPVis_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
SET obuild_cxx_linker_command=link.exe
:end_if_platform_29
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_31
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET obuild_cxx_linker_options=/nologo
:end_if_platform_33
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_HEPVis_test_freetype_sh_34
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_HEPVis_test_freetype_sh_34
:else_if_db_build_app_HEPVis_test_freetype_sh_34
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_HEPVis_test_freetype_sh_34

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_HEPVis_test_freetype_sh_35
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_HEPVis_test_freetype_sh_35
:else_if_opt_build_app_HEPVis_test_freetype_sh_35
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_HEPVis_test_freetype_sh_35

SET obuild_linked_paths=/LIBPATH:"%obuild_freetype2_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=osc_freetype2.lib

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF EXIST .\app_HEPVis_test_freetype\tmp_objs DEL .\app_HEPVis_test_freetype\tmp_objs
FOR %%f IN (.\app_HEPVis_test_freetype\*.obj) DO ECHO %%f >> .\app_HEPVis_test_freetype\tmp_objs
REM # Link HEPVis_test_freetype :
IF EXIST .\HEPVis_test_freetype.exe DEL .\HEPVis_test_freetype.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\HEPVis_test_freetype.exe @.\app_HEPVis_test_freetype\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
REM # Some cleanup :
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype\tmp_objs" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype\tmp_objs"
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.ilk" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.ilk"
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.pdb" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.pdb"
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype\tmp_objs" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\app_HEPVis_test_freetype\tmp_objs"
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.exp" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.exp"

:obuild_return
ENDLOCAL
@ECHO ON
