/*-----------------------------HEPVis----------------------------------------*/
/*                                                                           */
/* Node:             SoSceneGraph                                            */
/* Description:      SoSeparator to handle OnX-like scene graph              */
/* Author:           Guy Barrand Dec 2008                                    */
/*                                                                           */
/*---------------------------------------------------------------------------*/

// this :
#include <HEPVis/nodes/SoSceneGraph.h>

#include <HEPVis/SbString.h>

SO_NODE_SOURCE(SoSceneGraph)

void SoSceneGraph::initClass(){
  SO_NODE_INIT_CLASS(SoSceneGraph,SoSeparator,"Separator");
}

SoSceneGraph::SoSceneGraph():fInfos(0) {
  SO_NODE_CONSTRUCTOR(SoSceneGraph);
  //SO_NODE_ADD_FIELD(string,(""));
}

SoSceneGraph::~SoSceneGraph() {
  SbSTRDEL(fInfos);
}

void SoSceneGraph::setString(const char* aString) {
  fString = aString;
}
void SoSceneGraph::setString(const SbString& aString) {
  fString = aString;
}
const char* SoSceneGraph::getString() const {return fString.getString();}

void SoSceneGraph::setInfos(const char* aString) {
  fInfos = SbSTRDUP(aString);
}
const char* SoSceneGraph::getInfos() const {return fInfos;}
