@ECHO OFF

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package Lib with version v8r8p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> setup
REM # or :
REM #   DOS> setup.bat
REM # or :
REM #   DOS> call setup.bat
REM #////////////////////////////////////////////////

SET obuild_Lib_path=%~dp0
REM # Remove ending \obuild\
SET obuild_Lib_path=%obuild_Lib_path:~0,-8%

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_Lib_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_Lib_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash `) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat `) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib `) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip `) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return

REM # Execute setup of used packages :
IF NOT EXIST "%obuild_expat_path%\obuild\setup.bat"  ECHO setup.bat not found for package expat.  && GOTO obuild_return
CALL "%obuild_expat_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_zlib_path%\obuild\setup.bat"  ECHO setup.bat not found for package zlib.  && GOTO obuild_return
CALL "%obuild_zlib_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_zip_path%\obuild\setup.bat"  ECHO setup.bat not found for package zip.  && GOTO obuild_return
CALL "%obuild_zip_path%\obuild\setup.bat"
@ECHO OFF

REM # Set environment variables of this package :
SET LIBROOT=%obuild_Lib_path%
SET SLASHROOT=%obuild_Slash_path%

IF DEFINED PATH GOTO else_if_path_Lib_2
  SET PATH=%obuild_Lib_path%\%obuild_dir_bin%
  GOTO end_if_path_Lib_2
:else_if_path_Lib_2
  SET PATH=%PATH%;%obuild_Lib_path%\%obuild_dir_bin%
:end_if_path_Lib_2

:obuild_return

SET obuild_Lib_path=

REM # FIXME SET obuild_dir_bin=

@ECHO ON
