// this :
#include <Lib/sout.h>

//////////////////////////////////////////////////////////////////////////////
Lib::sout::sout(
 const std::string& aString
) 
:std::string(aString)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
}
#include <stdio.h>
//////////////////////////////////////////////////////////////////////////////
Lib::sout::sout(
 int aValue
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%d",aValue);
  *this = std::string(s);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sout::sout(
 double aValue
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"%g",aValue);
  *this = std::string(s);
}
//////////////////////////////////////////////////////////////////////////////
Lib::sout::sout(
 const std::complex<double> &aValue
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  char s[64];
  ::sprintf(s,"(%g,%g)",aValue.real(),aValue.imag());
  *this = std::string(s);
}
