#ifndef OnX_SDL_Cyclic_h
#define OnX_SDL_Cyclic_h 

#include <OnX/Core/BaseCyclic.h>

#ifdef WIN32
#include <SDL.h>
#else
#include <SDL/SDL.h>
#endif

namespace OnX {

class SDL_Cyclic : public BaseCyclic {
public: //Slash::UI::ICyclic
  virtual void start();
  virtual void stop();
  virtual bool started() const;
public:
  SDL_Cyclic(Slash::Core::ISession&,const std::string&,
           int,const std::string&,const std::string&);
  virtual ~SDL_Cyclic();
private:
  static Uint32 timerCB(Uint32,void*);
private:
  SDL_TimerID fTimerID;
};

}

#endif

