#ifndef OnXLab_Main_h
#define OnXLab_Main_h

// Inheritance :
#include <OnX/Core/Main.h>
#include <OnXLab/Core/AnalysisFactory.h>

namespace OnXLab {

// The Main is a Slash::Core::ISession and 
// an OnXLab::AnalysisFactory.

class Main : public OnX::Main, public OnXLab::AnalysisFactory {
public:
  virtual void* cast(const std::string&) const;
public:
  Main(const std::vector<std::string>& args = std::vector<std::string>());
  virtual ~Main();
};

}

#endif
