@ECHO OFF
SETLOCAL

SET obuild_args=%*
REM ECHO %obuild_args%

FOR /F "usebackq delims=;" %%j IN (`OnXLab_aida_config --incs`) DO SET AIDA_CONFIG_INCS=%%j

FOR /F "usebackq delims=;" %%j IN (`OnXLab_aida_config --libs`) DO SET AIDA_CONFIG_LIBS=%%j

IF NOT DEFINED AIDA_CONFIG_INCS (
  ECHO Environment AIDA_CONFIG_INCS not defined.
  GOTO obuild_return
)
IF NOT DEFINED AIDA_CONFIG_LIBS (
  ECHO Environment AIDA_CONFIG_LIBS not defined.
  GOTO obuild_return
)

REM # /GR to enable RTTI and dynamic cast.
REM # /GX to enable exception handling (for STL).
REM # /O2 optimize
SET cppflags=/nologo /GX /GR /O2 /I .

cl.exe %cppflags% %AIDA_CONFIG_INCS% %obuild_args% %AIDA_CONFIG_LIBS%

:obuild_return
ENDLOCAL
@ECHO ON
