// this :
#include <OnXLab/Core/PlotterFactory.h>

#include <Lib/Debug.h>

OnXLab::PlotterFactory::PlotterFactory(
 Slash::Core::ISession& aSession
,const std::string& aImplementation
,const std::string& aLibrary
,int aArgc
,char** aArgv
)
:BatchLab::BasePlotterFactory(aSession,aImplementation,aLibrary,aArgc,aArgv)
{
  Lib::Debug::increment("OnXLab::PlotterFactory");
}

OnXLab::PlotterFactory::~PlotterFactory(){Lib::Debug::decrement("OnXLab::PlotterFactory");}

AIDA::IPlotter* OnXLab::PlotterFactory::create(
 const std::string& aName
#if (AIDA_VERSION_MAJOR<=3) && (AIDA_VERSION_MINOR<=2) 
#else
,const std::string& //aOption
#endif
){
  return loadPlotter("OnXLabInventor","OnXLabInventor","OnXLabInventor",
                     "OnXLab_PlotterManager",aName);
}
