extern "C" {
  void pahelp_(void*);
}

#include <kuip/ksys.h>
#include <kuip/kfor.h>
#include <kuip/kuser.h>
#include <kuip/klink.h>

//#include <amanip/smanip.h>

#include <Slash/Core/ISession.h>

#include <OpenPAW/PAW_Manager.h>

#include <iostream>
#include <fstream>

//Dixit the author :

//*-- Author :    Rene Brun   03/01/89
//      SUBROUTINE PAHELP
//*
//*.          Interface between KUIP and various HELP routines of
//*.          HPLOT and HIGZ
//*.

void pahelp_(void* aSession) { 
  //it is called in KUIP/kmenu.c/fmt_cmd_help by using :
  //  (*cmd->user_help_F)(kjmpaddr.action_data); /*GB*/

  Slash::Core::ISession* session = (Slash::Core::ISession*)aSession;

  OpenPAW::PAW_Manager* pawManager = find_PAW(*session);
  if(!pawManager) return;

  int lun;
  std::string CHPATL = ku_help(&lun);
 
  if(CHPATL=="SET") {
    //  CALL HPLSET('SHOW',0.)
    char*  fname = ku_uhlp_file();
    std::ofstream file(fname);
    pawManager->showATTs(file,cat_HPLSET);
    file.close();
  } else if(CHPATL=="OPTION") {
    //  CALL HPLOPT('SHOW',1)
    char*  fname = ku_uhlp_file();
    std::ofstream file(fname);
    pawManager->showOPTs(file);
    file.close();
  } else if(CHPATL=="IGSET") {
    //CALL IGSET('SHOW',0.)
    char*  fname = ku_uhlp_file();
    std::ofstream file(fname);
    pawManager->showATTs(file,cat_IGSET);
    file.close();

//} else if(CHPATL=="SLIDE") {
//  CALL SLIHLP
//} else if(CHPATL=="CALL") {
//  CALL PAWCSH

  } else {
    std::cout << "pahelp :" 
              << " CHPATL " << CHPATL << " not handled."
              << std::endl;
  }

}
