
#include <GLUT.h>

#include <iostream>

//////////////////////////////////////////////////////////////////////////////
int main( 
 int aArgc
,char* aArgv[]
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if (GLUT_Init(GLUT_INIT_VIDEO|GLUT_INIT_TIMER|GLUT_INIT_JOYSTICK)<0) { 
    std::cout << "main : couldn't initialize GLUT "
              << GLUT_GetError() 
              << std::endl;
    return 1;
  }

  //GLUT_VideoInfo* vinfo = GLUT_GetVideoInfo();
  //int GLUT_VideoModeOK(int width, int height, int bpp, Uint32 flags);

  GLUT_Rect** rects = GLUT_ListModes(NULL,0);
  if(rects==NULL) {
    std::cout << "main : GLUT_ListModes returns NULL."
              << std::endl;
  } else if(rects==(GLUT_Rect**)-1) {
    std::cout << "main : GLUT_ListModes returns -1."
              << std::endl;
  } else {
    GLUT_Rect** pos = rects;
    while(pos!=NULL) {
      GLUT_Rect* rect = *pos;
      std::cout << " " << rect->w
                << " " << rect->h
                << std::endl;
    }
  }


  GLUT_Quit();

  return 0;
}
