#ifndef SoJoyButtonEvent_h
#define SoJoyButtonEvent_h

#include <Inventor/events/SoSubEvent.h>

class SoJoyButtonEvent : public SoEvent {
  typedef SoEvent inherited;
  SO_EVENT_HEADER();
public:
  SoJoyButtonEvent(void);
  virtual ~SoJoyButtonEvent();
public:
  static void initClass();
public:
  enum State {
    UP,DOWN
  };
  void setState(State);
  State getState() const;
  void setButton(unsigned int);
  unsigned int getButton() const;
private:
  State fState;
  unsigned int fButton;
};

#endif
