// Dummy file to help building the slash-config system.

// In fact we use it to do some testing...

#include <amanip/all.h>

#include <cmath>

void cheeck_templates_compilation() {

 {int i;
  amanip::to<int>("",i);}
  amanip::to<int>(2);
  amanip::sjust<double>(1.0,10,amanip::middle);

 {amanip::args args;
  int i;
  args.find<int>("",i);}

 {AIDA::IBaseHistogram* o;
  amanip::cast<AIDA::IHistogram1D,AIDA::IBaseHistogram>
         (*o,"AIDA::IHistogram1D");
  amanip::cast_const<AIDA::IHistogram1D,AIDA::IBaseHistogram>
         (*o,"AIDA::IHistogram1D");}

 {AIDA::ITree* o;
  amanip::find<AIDA::IBaseHistogram>
    (*o,"","AIDA::IBaseHistogram",true,std::cout);}

 {AIDA::IHistogram1D* o;
  amanip::name<AIDA::IHistogram1D>(*o);}

 {AIDA::ITuple* t;
  AIDA::IHistogram1D* h1;
  AIDA::IFilter* f;
  amanip::project<AIDA::IHistogram1D>(std::cout,*t,*h1,0,*f);
  AIDA::IEvaluator* e;
  amanip::project<AIDA::IHistogram1D>(std::cout,*t,*h1,*e,*f);
  AIDA::IHistogram2D* h2;
  amanip::project<AIDA::IHistogram2D>(std::cout,*t,*h2,0,0,*f);
  amanip::project<AIDA::IHistogram2D>(std::cout,*t,*h2,*e,*e,*f);
  amanip::project<AIDA::IHistogram2D>(std::cout,*t,*h2,*e,*e,*f,*f,*t);
  AIDA::IHistogram3D* h3;
  amanip::project<AIDA::IHistogram3D>(std::cout,*t,*h3,0,0,0,*f);
  amanip::project<AIDA::IHistogram3D>(std::cout,*t,*h3,*e,*e,*e,*f);}

}

void check_match() {

  if(!amanip::match("fitHist","fit*")) {
    std::cout << "error" << std::endl;
  }
  if(!amanip::match("fitHist","*it*")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","fatHist")) {
    std::cout << "error" << std::endl;
  }
  if(!amanip::match("fitHist","fitHist")) {
    std::cout << "error" << std::endl;
  }
  if(!amanip::match("fitHist","**")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","xx*")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","*xx")) {
    std::cout << "error" << std::endl;
  }
  if(!amanip::match("fitHist","*t*i*")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","x*t*i*")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","*t*i*x")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","*t**i*x")) {
    std::cout << "error" << std::endl;
  }
  if(amanip::match("fitHist","**t**i****x")) {
    std::cout << "error" << std::endl;
  }
}


void check_int64(){
  //std::cout << sizeof(amanip::int64) << std::endl;   

 {char b[8];
  for(int i=0;i<7;i++) b[i] = 0;
  b[7] = 1;
  amanip::uint64 x;
  memcpy(&x,b,8);
  std::string s = amanip::to<amanip::uint64>(x);
  if(s!="72057594037927936") {
    std::cout << "check_int64 :"
              << "  error. " << s
              << std::endl;   
  }}

 {char b[8];
  for(int i=0;i<7;i++) b[i] = 0;
  b[7] = -1;
  amanip::int64 x;
  memcpy(&x,b,8);
  std::string s = amanip::to<amanip::int64>(x);
  if(s!="-72057594037927936") {
    std::cout << "check_int64 :"
              << "  error. " << s
              << std::endl;   
  }}

}

void check_to(){
  char c;
  if(!amanip::to<char>("a",c) || (c!='a')) {
    std::cout << "check_to :"
              << "  error."
              << std::endl;   
  }
  //char d = 127;
  //std::cout << d << " " << int('~') << std::endl;   
}


int main() {
  //std::cout << "debug : 007" << std::endl;   

  check_match();
  check_int64();
  check_to();

  return 0;
}
