@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package freetype2 with version v1r219p7.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_osc_freetype2
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_freetype2_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_freetype2_path=%obuild_freetype2_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%" MKDIR "%obuild_freetype2_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%" MKDIR "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_freetype2_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_freetype2_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_c_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_c_command%" == ""  ECHO Variable obuild_c_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_c_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_c_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_c_options=/nologo /DWIN32 /MD /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_freetype2_sh_8
  SET obuild_c_debug_local=%obuild_c_debug%
  GOTO end_if_db_build_lib_osc_freetype2_sh_8
:else_if_db_build_lib_osc_freetype2_sh_8
  SET obuild_c_debug_local=
:end_if_db_build_lib_osc_freetype2_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_freetype2_sh_9
  SET obuild_c_optimize_local=%obuild_c_optimize%
  GOTO end_if_opt_build_lib_osc_freetype2_sh_9
:else_if_opt_build_lib_osc_freetype2_sh_9
  SET obuild_c_optimize_local=
:end_if_opt_build_lib_osc_freetype2_sh_9



SET obuild_c_includes=/I"%obuild_freetype2_path%\include"
SET obuild_c_includes=%obuild_c_includes% /I"%obuild_freetype2_path%\include\freetype"
SET obuild_c_includes=%obuild_c_includes% /I"%obuild_freetype2_path%\src\builds"

IF EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\lib_osc_freetype2" RMDIR /S /Q "%obuild_freetype2_path%\%obuild_dir_bin%\lib_osc_freetype2"
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\lib_osc_freetype2" MKDIR "%obuild_freetype2_path%\%obuild_dir_bin%\lib_osc_freetype2"

@IF %obuild_verbose% == yes @ECHO ON 
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftsystem.obj "..\src\builds\win32\ftsystem.c" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_freetype2_path%\obuild"

:end_if_platform_16
SET obuild_platform_result=
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftdebug.obj "..\src\base\ftdebug.c" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftinit.obj "..\src\base\ftinit.c" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftgzip.obj "..\src\gzip\ftgzip.c" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftbase.obj "..\src\base\ftbase.c" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftbbox.obj "..\src\base\ftbbox.c" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftbdf.obj "..\src\base\ftbdf.c" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftglyph.obj "..\src\base\ftglyph.c" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftmm.obj "..\src\base\ftmm.c" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftpfr.obj "..\src\base\ftpfr.c" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftstroke.obj "..\src\base\ftstroke.c" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\fttype1.obj "..\src\base\fttype1.c" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftwinfnt.obj "..\src\base\ftwinfnt.c" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftxf86.obj "..\src\base\ftxf86.c" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\autohint.obj "..\src\autohint\autohint.c" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\bdf.obj "..\src\bdf\bdf.c" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftcache.obj "..\src\cache\ftcache.c" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\cff.obj "..\src\cff\cff.c" 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\type1cid.obj "..\src\cid\type1cid.c" 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\ftlzw.obj "..\src\lzw\ftlzw.c" 1> exe_error_19
@IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_19
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\pcf.obj "..\src\pcf\pcf.c" 1> exe_error_20
@IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_20
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\pfr.obj "..\src\pfr\pfr.c" 1> exe_error_21
@IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_21
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\psaux.obj "..\src\psaux\psaux.c" 1> exe_error_22
@IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_22
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\pshinter.obj "..\src\pshinter\pshinter.c" 1> exe_error_23
@IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_23
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\psmodule.obj "..\src\psnames\psmodule.c" 1> exe_error_24
@IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_24
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\raster.obj "..\src\raster\raster.c" 1> exe_error_25
@IF ERRORLEVEL 1 @TYPE exe_error_25 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_25
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\sfnt.obj "..\src\sfnt\sfnt.c" 1> exe_error_26
@IF ERRORLEVEL 1 @TYPE exe_error_26 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_26
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\smooth.obj "..\src\smooth\smooth.c" 1> exe_error_27
@IF ERRORLEVEL 1 @TYPE exe_error_27 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_27
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\truetype.obj "..\src\truetype\truetype.c" 1> exe_error_28
@IF ERRORLEVEL 1 @TYPE exe_error_28 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_28
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\type1.obj "..\src\type1\type1.c" 1> exe_error_29
@IF ERRORLEVEL 1 @TYPE exe_error_29 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_29
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\type42.obj "..\src\type42\type42.c" 1> exe_error_30
@IF ERRORLEVEL 1 @TYPE exe_error_30 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_30
cd "%obuild_freetype2_path%\obuild"

cd "%obuild_freetype2_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_freetype2\winfnt.obj "..\src\winfonts\winfnt.c" 1> exe_error_31
@IF ERRORLEVEL 1 @TYPE exe_error_31 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_31
cd "%obuild_freetype2_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
SET obuild_c_linker_command=link.exe
:end_if_platform_49
SET obuild_platform_result=
IF "%obuild_c_linker_command%" == ""  ECHO Variable obuild_c_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
SET obuild_c_linker_debug=/DEBUG
:end_if_platform_51
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_53
SET obuild_c_linker_options=/nologo
:end_if_platform_53
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_freetype2_sh_54
  SET obuild_c_linker_debug_local=%obuild_c_linker_debug%
  GOTO end_if_db_build_lib_osc_freetype2_sh_54
:else_if_db_build_lib_osc_freetype2_sh_54
  SET obuild_c_linker_debug_local=
:end_if_db_build_lib_osc_freetype2_sh_54

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_freetype2_sh_55
  SET obuild_c_linker_optimize_local=%obuild_c_linker_optimize%
  GOTO end_if_opt_build_lib_osc_freetype2_sh_55
:else_if_opt_build_lib_osc_freetype2_sh_55
  SET obuild_c_linker_optimize_local=
:end_if_opt_build_lib_osc_freetype2_sh_55

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_freetype2_0=%%d
cd "%obuild_freetype2_path%\%obuild_dir_bin%"
IF EXIST .\lib_osc_freetype2\tmp_objs DEL .\lib_osc_freetype2\tmp_objs
FOR %%f IN (.\lib_osc_freetype2\*.obj) DO ECHO %%f >> .\lib_osc_freetype2\tmp_objs

REM # Create the archive library osc_freetype2 :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_osc_freetype2\osc_freetype2.arc @.\lib_osc_freetype2\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_freetype2_path%\obuild\cpp\obuild_windef.c" 1> exe_error_32
@IF ERRORLEVEL 1 @TYPE exe_error_32 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_32
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_osc_freetype2\tmp .\lib_osc_freetype2\osc_freetype2.arc 1> exe_error_33
@IF ERRORLEVEL 1 @TYPE exe_error_33 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_33
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe osc_freetype2 < .\lib_osc_freetype2\tmp > .\lib_osc_freetype2\osc_freetype2.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\osc_freetype2.lib /def:.\lib_osc_freetype2\osc_freetype2.def 1> exe_error_34
@IF ERRORLEVEL 1 @TYPE exe_error_34 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_34
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\osc_freetype2.dll DEL .\osc_freetype2.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\osc_freetype2.dll .\osc_freetype2.exp .\lib_osc_freetype2\osc_freetype2.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_freetype2_0%"
SET obuild_pwd_freetype2_0=
REM # Some cleanup :
IF EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\lib_osc_freetype2\tmp_objs" DEL "%obuild_freetype2_path%\%obuild_dir_bin%\lib_osc_freetype2\tmp_objs"
IF EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.exp" DEL "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.exp"

:obuild_return
ENDLOCAL
@ECHO ON
