#!/bin/sh -f

#
# File produced by the obuild tool version @@obuild_version@@
# for the package @@package@@ with version @@version@@.
#

#////////////////////////////////////////////////
# Usage :
#   UNIX> cd some_path/pack/version/obuild
# ( UNIX> chmod a+x sh/broadcast_install )
#   UNIX> sh/broadcast_install
#
#////////////////////////////////////////////////

obuild_args="$*"

obuild_verbose=no

obuild_set_x=no
while test $# -ge 1 ; do
  case $1 in
    -v) obuild_verbose=yes ;;
    -x) obuild_set_x=yes ;;
    *) echo "unknown option : $1";exit ;;
  esac
  shift
done

if [ ${obuild_set_x} = yes ] ; then
  set -x
fi

# Binary directory is needed to create the obuild_find program.

if [  "${OBUILD_DIR_BIN}" = "" ] ; then
  @@dir_bin_variable@@=bin_obuild
else
  @@dir_bin_variable@@=${OBUILD_DIR_BIN}
fi

if [ "${@@dir_bin_variable@@}" = "" ] ; then
  echo "@@dir_bin_variable@@ variable not defined."
  exit
fi

@@path_variable@@=..

# Create the bin directory :
/bin/mkdir -p "@@dir_bin@@"

