// this :
#include <oroot/TSystem.h>

#include <oroot/internal/mem.h>

TSystem::TSystem() {mem_inc("TSystem");}
TSystem::~TSystem() {mem_dec("TSystem");}

#include <oroot/TROOT.h>
#include <oroot/TCanvas.h>
#include <AIDA/IPlotter.h>

void TSystem::Run() {
  if(!gROOT) return;
  TCanvas* canvas = gROOT->canvas();
  if(canvas && canvas->plotter()) canvas->plotter()->interact();
}

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

TSystem* gSystem = 0;
void TSystem::initialize() {
  if(gSystem) return; //done
  gSystem = new TSystem();
}
void TSystem::finalize() {
  delete gSystem;
  gSystem = 0;
}
