@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package steve with version v0r1p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_steve_tests_Exp
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_steve_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_steve_path=%obuild_steve_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%" MKDIR "%obuild_steve_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%" MKDIR "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_steve_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_steve_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_steve_tests_Exp_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_steve_tests_Exp_sh_8
:else_if_db_build_lib_steve_tests_Exp_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_steve_tests_Exp_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_steve_tests_Exp_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_steve_tests_Exp_sh_9
:else_if_opt_build_lib_steve_tests_Exp_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_steve_tests_Exp_sh_9



SET obuild_cxx_includes=/I"%obuild_steve_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_steve_path%\tests"

IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\lib_steve_tests_Exp" RMDIR /S /Q "%obuild_steve_path%\%obuild_dir_bin%\lib_steve_tests_Exp"
IF NOT EXIST "%obuild_steve_path%\%obuild_dir_bin%\lib_steve_tests_Exp" MKDIR "%obuild_steve_path%\%obuild_dir_bin%\lib_steve_tests_Exp"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Params.obj  /Tp"..\tests\Exp\Params.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Analysis.obj  /Tp"..\tests\Exp\Analysis.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Histogram.obj  /Tp"..\tests\HCL\Histogram.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Axis.obj  /Tp"..\tests\HCL\Axis.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Analysis_steve.obj  /Tp"..\tests\Exp\Analysis_steve.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Exp_Schema.obj  /Tp"..\tests\Exp\Exp_Schema.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Event_Schema.obj  /Tp"..\tests\Exp\Event_Schema.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\Header_Schema.obj  /Tp"..\tests\Exp\Header_Schema.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

cd "%obuild_steve_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_steve_tests_Exp\HCL_Schema.obj  /Tp"..\tests\HCL\HCL_Schema.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_steve_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_cxx_linker_command=link.exe
:end_if_platform_24
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_26
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
SET obuild_cxx_linker_options=/nologo
:end_if_platform_28
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_steve_tests_Exp_sh_29
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_steve_tests_Exp_sh_29
:else_if_db_build_lib_steve_tests_Exp_sh_29
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_steve_tests_Exp_sh_29

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_steve_tests_Exp_sh_30
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_steve_tests_Exp_sh_30
:else_if_opt_build_lib_steve_tests_Exp_sh_30
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_steve_tests_Exp_sh_30

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
SET obuild_linked_paths=/LIBPATH:"%obuild_steve_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=steve_core.lib
:end_if_platform_32
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_steve_0=%%d
cd "%obuild_steve_path%\%obuild_dir_bin%"
IF EXIST .\lib_steve_tests_Exp\tmp_objs DEL .\lib_steve_tests_Exp\tmp_objs
FOR %%f IN (.\lib_steve_tests_Exp\*.obj) DO ECHO %%f >> .\lib_steve_tests_Exp\tmp_objs

REM # Create the archive library steve_tests_Exp :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_steve_tests_Exp\steve_tests_Exp.arc @.\lib_steve_tests_Exp\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_steve_path%\obuild\cpp\obuild_windef.c" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_steve_tests_Exp\tmp .\lib_steve_tests_Exp\steve_tests_Exp.arc 1> dumpbin_exe_error .\lib_steve_tests_Exp\steve_tests_Exp.arc
@IF ERRORLEVEL 1 @TYPE dumpbin_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL dumpbin_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe steve_tests_Exp < .\lib_steve_tests_Exp\tmp > .\lib_steve_tests_Exp\steve_tests_Exp.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\steve_tests_Exp.lib /def:.\lib_steve_tests_Exp\steve_tests_Exp.def 1> lib_exe_error
@IF ERRORLEVEL 1 @TYPE lib_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL lib_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\steve_tests_Exp.dll DEL .\steve_tests_Exp.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\steve_tests_Exp.dll .\steve_tests_Exp.exp .\lib_steve_tests_Exp\steve_tests_Exp.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_steve_0%"
SET obuild_pwd_steve_0=
REM # Some cleanup :
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\lib_steve_tests_Exp\tmp_objs" DEL "%obuild_steve_path%\%obuild_dir_bin%\lib_steve_tests_Exp\tmp_objs"
IF EXIST "%obuild_steve_path%\%obuild_dir_bin%\steve_tests_Exp.exp" DEL "%obuild_steve_path%\%obuild_dir_bin%\steve_tests_Exp.exp"

:obuild_return
ENDLOCAL
@ECHO ON
