// this :
#include <steve/HDF5/store_pages.h>

steve::HDF5::store_pages::store_pages(hid_t a_id):m_id(a_id){}  

steve::HDF5::store_pages::~store_pages(){
}  

//private:
steve::HDF5::store_pages::store_pages(const store_pages&):m_id(-1){}
//private:
steve::HDF5::store_pages& steve::HDF5::store_pages::operator=(const store_pages&) { return *this;}

void* steve::HDF5::store_pages::cast_head() const {
  return (void*)static_cast<const steve::HDF5::store_pages*>(this);
}
hid_t steve::HDF5::store_pages::id() const {
  return m_id;
}
bool steve::HDF5::store_pages::close() {
  herr_t status = H5Gclose(m_id);
  m_id = -1;
  if(status<0) return false;
  return true;
}
