#ifndef steve_HDF5_store_pages_h
#define steve_HDF5_store_pages_h

// inheritance :
#include <steve/core/store_pages.h>

#include <hdf5.h>

namespace steve {
namespace HDF5 {

class store_pages : public core::store_pages {
public:
  virtual void* cast_head() const;  
  virtual bool close();
public:
  store_pages(hid_t a_id);
  virtual ~store_pages();
private:
  store_pages(const store_pages& a_from);
  store_pages& operator=(const store_pages& a_from);
public:
  hid_t id() const;
private:
  hid_t m_id;
};

}}

#endif

