#ifndef steve_ROOT_blob_h
#define steve_ROOT_blob_h

// inheritance :
#include <TObject.h>

namespace steve {
namespace ROOT {

class blob : public TObject {
public:
  blob();
  blob(unsigned int,char*);
  virtual ~blob();
private:
  blob(const blob&);
  blob& operator=(const blob&);
public:
  void assign(unsigned int,char*);
  unsigned int size() const;
  char* buffer() const;
protected:
  unsigned int m_size;
  char* m_buffer;
public:
  ClassDef(blob,1)
};

}}

#endif
