#ifndef steve_core_offset_h
#define steve_core_offset_h

#include <steve/path_os.h>
#include <steve/path.h>

namespace steve {namespace interface {class store;}}

namespace steve {
namespace core {

class offset {
public:
  offset(const path_os_t& a_path);
  virtual ~offset();
protected:
  offset(const offset& a_from);
private:
  offset& operator=(const offset& a_from);
public:
  bool find_offset(interface::store& a_store,
                   uint32 a_event,const path_t& a_is,uint32& a_off);
private:
  bool offset2(interface::store& a_store,uint32 a_depth,const path_t& a_is,uint32& a_off) const;
protected:
  path_os_t m_path_os;
  uint32 m_path_size;  //optimization.
};

}}

#endif
