#ifndef steve_interface_numbers_h
#define steve_interface_numbers_h

#include <steve/path.h>

namespace steve {namespace interface {class store;}}
namespace steve {namespace interface {class store_data;}}

namespace steve {
namespace interface {

class numbers {
public:
  virtual ~numbers(){}
public:
  virtual bool add(interface::store& a_store,uint32 a_value) = 0;
  virtual bool find_value(interface::store& a_store,
                          uint32 a_event,const path_t& a_is,
                          uint32& a_value) = 0;
  virtual steve::uint32 total() const = 0;
  virtual interface::store_data& store_data() = 0;

  //NOTE : also in store_data.h.
  virtual steve::uint32 entries() const = 0;
  virtual steve::uint32 number_of_pages() const = 0;
  virtual steve::uint32 page_size() const = 0;
};

}}

#endif

