#ifndef steve_interface_page_T_h
#define steve_interface_page_T_h

#include <steve/typedefs.h>

namespace steve {
namespace interface {

template <class T>
class page_T {
public:
  virtual ~page_T(){}
public:
  virtual void* cast_base_page() const = 0;
public:
  virtual bool add(const T& a_value,uint32& a_item_size) = 0;
  virtual bool add(uint32 a_size,const T* a_values,uint32& a_items_size) = 0;
  virtual bool value(uint32 aIndex,T& a_value) const = 0;
  virtual bool values(uint32 aIndex,uint32 a_size,T* a_value) const = 0;
  virtual bool is_full() const = 0;
  virtual uint32 remain() const = 0;
  virtual uint32 page_size() const = 0;
};

}}

#endif
