#ifndef steve_memory_pages_h
#define steve_memory_pages_h

// inheritance :
#include <steve/interface/pages.h>
#include <vector>

#include <steve/typedefs.h>

namespace steve {namespace interface {class page;}}

namespace steve {
namespace memory {

class pages 
:public virtual interface::pages
,public std::vector<interface::page*> 
{
public:
  virtual void* cast_head() const;  
  virtual uint32 number_of_pages() const;
  virtual bool close();
  virtual bool commit();
public:
  pages(uint32 a_page_size);
  virtual ~pages();
private:
  pages(const pages& a_from);
  pages& operator=(const pages& a_from);
public:
  uint32 page_size() const;
private:
  uint32 m_page_size;  
};

}}

#endif

