// this :
#include <Exp/Event.h>

ClassImp(Exp::Time)
ClassImp(Exp::Track)
ClassImp(Exp::Hit)
ClassImp(Exp::Cell)
ClassImp(Exp::Event)
ClassImp(Exp::Header)
ClassImp(Exp::Object)

#include <steve/root/store.h>

bool Exp::Event::store(
 steve::interface::store& a_store
,steve::interface::schema& //a_schema
) const { 
  steve::root::store* root_store = 
    (steve::root::store*)a_store.cast_head();
  if(!root_store) return false;
  void* ptr = (void*)this;
  if(!root_store->bind_to_store("Event","Exp::Event",&ptr,true)) return false;
  return true;
}  
bool Exp::Event::retrieve(
 steve::interface::store& a_store
,steve::interface::schema& //a_schema
,steve::uint32 a_event
,const steve::path_t& //a_is
) {    
  steve::root::store* root_store = 
    (steve::root::store*)a_store.cast_head();
  if(!root_store) return false;
  void* ptr = this;
  if(!root_store->bind_to_retrieve("Event",&ptr,true,a_event)) return false;
  return true;
}

bool Exp::Header::store(
 steve::interface::store& a_store
,steve::interface::schema& //a_schema
) const { 
  steve::root::store* root_store = 
    (steve::root::store*)a_store.cast_head();
  if(!root_store) return false;
  void* ptr = (void*)this;
  if(!root_store->bind_to_store("Header","Exp::Header",&ptr,true)) 
    return false;
  return true;
}  
bool Exp::Header::retrieve(
 steve::interface::store& a_store
,steve::interface::schema& //a_schema
,steve::uint32 a_event
,const steve::path_t& //a_is
) {    
  steve::root::store* root_store = 
    (steve::root::store*)a_store.cast_head();
  if(!root_store) return false;
  void* ptr = this;
  if(!root_store->bind_to_retrieve("Header",&ptr,true,a_event)) return false;
  return true;
}
